# Makefile de la version avec le new remplimat
# FT options de compilation
# LK options de link

# Rappel de quelques options interessantes
#-------------------------------------------
# faire imperativement attention a l'arithmetique
# -fpe0 s'arrete sur les floating point exception (sauf underflow)
# -CB  Performs run-time checking on array subscript and character substring expressions
# -g pour debug 
# -pg pour le profiling
# -traceback permet de connaitre la ligne qui plante

# faire man ifort pour plus d'infos

# le directory dans lequel sont les compilateurs et MKL
# DIRLOCAL=/usr/local variable d'environnement a definir dans .bash_profile
NETCDFHOME = /applis/ciment/stow/x86_64/netcdf-4.0.1-intel# foehn
#GNETCDFHOME = /applis/ciment/stow/x86_64/netcdf-4.0.1-intel
# librairies

NCDF_INC  = $(NETCDFHOME)/include
NCDF_LIB  = -L$(NETCDFHOME)/lib -lnetcdf

MKLPATH = /opt/intel/Compiler/11.0/074/mkl/lib/em64t/# foehn
MKL_LIB = -L$(MKLPATH) -lmkl_solver_lp64_sequential -lmkl_intel_lp64 -lmkl_sequential -lmkl_core# foehn
export $MKL_LIB

IFORT = /opt/intel/Compiler/11.0/074/bin/intel64/ifort # foehn
GFC  = /applis/ciment/stow/x86_64/gcc-4.1.2/bin/gfortran # foehn
ARITHM = -O2 -fp-model precise  -heap-arrays # options pour une meilleure arithmetique (normalement reproductible)
ARITHM = -O2 -fp-model precise -vec_report0 -traceback #
#ARITHM    =  -fp-model precise -warn all -CU -CA # options pour une meilleure arithmetique (normalement reproductible)
# ARITHM = -03                    # trop brutal ne pas utiliser

FT        = $(IFORT) $(ARITHM) -c    -traceback   -CB  -g # -fpe0 #-pg  # -g # -pg -ipo !aurel : j'ai enleve -CB
LK        = $(IFORT) $(ARITHM)  -i_dynamic    -traceback   -CB -g # -fpe0  #-pg   #-g #  -pg
F_NETCDF  = $(IFORT) $(ARITHM) -c   -I$(NCDF_INC)  -traceback  -CB -g # -fpe0 #-pg -ipo # -g


# listes pour la resolution equation elliptique
#------------------------------------------------

