# Makefile de GRISLI - compilo et options pour Cat (pc-226)
# FT options de compilation
# LK options de link

# Rappel de quelques options interessantes
#-------------------------------------------
# faire imperativement attention a l'arithmetique
# -fpe0 s'arrete sur les floating point exception (sauf underflow)
# -CB  Performs run-time checking on array subscript and character substring expressions
# -g pour debug 
# -pg pour le profiling
# -traceback permet de connaitre la ligne qui plante

# faire man ifort pour plus d'infos

# le directory dans lequel sont les compilateurs et MKL
# DIRLOCAL=/usr/local variable d'environnement a definir dans .bash_profile


# lit le nom du fichier param pour lancer sur r2d2 par une commande :   echo jobparam | LBQ....

JOB = 'job'


# librairies

NCDF_INC  = $(NETCDFHOME)/include
NCDF_LIB  = -L$(NETCDFHOME)/lib -lnetcdf -lnetcdff


#MKL_LIB   = -L$(DIRLOCAL)/intel/mkl9/lib/32 -lmkl_lapack -lmkl_ia32 -lguide -lpthread
#MKL_LIB  = -L$(DIRLOCAL)/intel/mkl10/lib/32  -lmkl -lguide -lpthread #  -lmklapack

ifeq ($(mkl_c), 1)
    MKL_LIB = -L$MKLROOT/lib/em64t -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core -liomp5 -lpthread
    export $MKL_LIB
endif

IFORT= ifort

ARITHM    = -O2 -fp-model precise  -heap-arrays -traceback -diag-disable warn -mcmodel=medium # -traceback   -CB  -g  # options pour une meilleure arithmetique
                                                                      # (normalement reproductible)
#ARITHM    =  -fp-model precise -warn all -CU -CA # options pour une meilleure arithmetique (normalement reproductible)
# ARITHM = -03                    # trop brutal ne pas utiliser



FT        = $(IFORT) $(ARITHM) -c    #-traceback   -CB  #-g #-pg  # -g # -pg -ipo !aurel : j'ai enleve -CB
LK        = $(IFORT) $(ARITHM)  -i_dynamic   # -traceback   -CB # -g  #-pg   #-g #  -pg
F_NETCDF  = $(IFORT) $(ARITHM) -c  -I$(NCDF_INC) # -traceback  -CB   #-g #-pg -ipo # -g
FT        = $(IFORT) $(ARITHM) -c  -I$(NCDF_INC) # -traceback  -CB  #-g #-pg -ipo # -g
F_90      = -w90




