!> \file lect-Heino_mod.f90
!! Module pour la lecture de topography pour les experiences Heino
!<

!> \namespace  lect_topo_heino
!! Module pour la lecture de la topography pour les experiences Heino
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module3D_phy
!<


module lect_topo_heino

use module3D_phy
!use sliding_heino 

character(len=80) :: filin

contains
 
  subroutine input_topo

    write(6,*)' Heino: entree dans routine input_topo'
    !====================================== La reponse est 42 ===========
    write(num_rep_42,*)
    write(num_rep_42,*)' Fichiers en entree'
    write(num_rep_42,*)'----------------------'
    !==================================================================== 

    nxx=nx
    nyy=ny

    ! fichier mask fourni par l'intercomparaison Heino

    filin='mask.dat'
    filin = TRIM(DIRNAMEINP)//TRIM(filin)

    write(num_rep_42,*) 'surface et socle  0.'
    write(num_rep_42,*) 'mk0 donne par ',filin

    open(num_coupe,file=filin)
    do i=1,6
       read(num_coupe,*)  ! 6 lignes de commentaires
    end do
    ! lecture proprement dite
    do j=ny, 1, -1
       read(num_coupe,'(81i1)') (mk0(i,j), i=1,nx)
    end do

    where (mk0>1) mk0=1         ! le masque mk0 est glace-non glace

    close(num_coupe)

    S(:,:)=0.
    S0(:,:)=0.
    BSOC(:,:)=0.
    B(:,:)=0.

    !call init_sliding



    xlong(:,:)=0.
    ylat(:,:)=0.

    xmin=0.
    ymin=0.
    xmax=(nx-1)*dx/1000.
    ymax=(ny-1)*dx/1000.


    !write(num_rep_42,*) 'domaine geographique en km, 0 en bas gauche',int(xmax),'x',int(ymax)
    write(num_rep_42,*) 'domaine geographique en km : xmin : ',int(xmin),' ymin : ',int(ymin), &
         ' xmax : ',int(xmax),' ymax : ',int(ymax)

    ! flux geothermique 42 mW/m2
    ghf(:,:)=42.

    write(num_rep_42,*) 'flux geothermique uniforme (mW/m2) :',ghf(1,1)
    ghf(:,:)=-SECYEAR/1000.*ghf(:,:)

  end subroutine input_topo


end module lect_topo_heino
