# Makefile de la version avec le new remplimat
# Les options de complilations sont dans les fichiers specifiques, adaptes aux diverses machines utilisees 
# FT options de compilation
# LK options de link
# F_NETCDF options de compilation + librairies NETCDF

# pour lancer des jobs avec lecture d'un fichier namelist
# nojob pour lancer avec fichier param dans repertoire resultat
JOB = 'nojob'
# job pour lancer avec fichier param nom quelconque dans SOURCES/Fichiers-parametres 
#JOB = 'job'

# pour lancer
# sur pc: nohup `echo job-test | LBqAntar-15` &    ou echo job-test | LBqAntar-15
# sur r2d2 le mettre dans job*sh

#-------------------------------------------
# listes pour la resolution equation elliptique
#------------------------------------------------

# nouvelle version de remplimat
#----------------------------------

mod_ell             = remplimat_declar_tabTu_mod.o eq_ellipt_sgbsv_mod-0.2.o
routine_elliptiques = remplimat-shelves-tabTu.o graphique_L2.o graph-sgbsv.o
diagnoshelf         = diagno-L2_mod.o
#diagnoshelf         = fake_diagno_mod.o


# liste de modules communs a toutes geographies/experiences
#-----------------------------------------------------------

# modules servant aux declarations globales
mod_dim_communs = runparam_mod.o param_phy_mod.o \
	3D-physique-gen_mod.o io_netcdf_GRISLI.o 



# modules climats : doivent etre compatibles avec les modules choix
# il faut choisir un des deux ou un specifique a une geometrie.

# module de forcage climatique C. Dumas
# Modif dmr 2016-01-20
mod_clim_tof = climat_forcage_mois_mod.o climat-forcage-insolation_mod_oneway.o \
	climat-forcage-insolation_mod.o climat_GrIce2sea_years_mod.o \
	climat-perturb_mod-0.4.o \
	ablation_mod.o no_ablation_mod.o\
	climat_coupl_atm_mod.o

# methode forcage basee sur des snapshots climats
mod_clim_forcage = climat-forcage_mod-0.4.o \
	declare-month_mod.o \
	declare-month_lapsecouche_mod.o  \
	ablation_ann_july_mod.o \
	ablation_month.o accum_month.o no_ablation_mod.o \
	massb-ant_forcage-0.4.o	accum7.o \
	ablation_month_lapsecouche.o accum_month_lapsecouche.o 

# methode perturbation des champs actuels
mod_clim_perturb = climat-perturb_mod-0.4.o climat-perturb-mois_mod.o \
	climat-perturb-mois_lapsecouche_mod.o \
	declare-month_mod.o \
	declare-month_lapsecouche_mod.o  \
	ablation_ann_july_mod.o \
	ablation_month.o accum_month.o no_ablation_mod.o \
	ablation_month_lapsecouche.o accum_month_lapsecouche.o \
	massb_perturb_mois.o massb_perturb_mois_lapsecouche.o 

mod_communs = util_recovery.o \
	interface_input.o \
	iso_declar_mod-0.3.o isostasie_mod-0.3.o noisostasie_mod-0.3.o \
	deformation_mod_2lois.o deformation_mod_2lois_isotherme.o     \
	sliding_Bindshadler_mod.o no_sliding.o			    \
	dragging_hwatermax_0.2_mod.o dragging_calc_beta_mod.o  \
	dragging_hwat-contigu_mod.o dragging_hwat_contmaj_mod.o \
	dragging_hwat_sedim_mod.o \
	calving_frange.o no_calving.o no_lakes.o \
	out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
	relaxation_mod-0.3.o relaxation_water_mod-0.4.o relaxation_water_diffusion.o \
	prescribe-H-i2s_mod.o  \
	resol_adv_diff_2D-sept2009.o  \
	conserv-mass-adv-diff_sept2009_mod.o  \
	eaubasale-0.5_mod.o spinup_mod.o no_spinup_mod.o \
	tridiag_mod-0.3.o out_horiz_mod.o bmelt-seuil-profondeur_mod.o 

mod_communs_RGL =   util_recovery.o \
        interface_input.o \
        iso_declar_mod-0.3.o isostasie_mod-0.3.o noisostasie_mod-0.3.o \
        deformation_mod_2lois.o deformation_mod_2lois_isotherme.o      \
        sliding_Bindshadler_mod.o no_sliding.o                      \
        dragging_hwatermax_0.2_mod.o dragging_calc_beta_mod.o  \
        dragging_hwat-contigu_mod.o dragging_hwat_contmaj_mod.o \
        prop-thermiques_mod.o  \
        calving_frange.o no_calving.o no_lakes.o \
        out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
        relaxation_mod-0.3.o relaxation_water_mod-0.4.o relaxation_water_diffusion.o \
        prescribe-H-i2s_mod.o   \
        resol_adv_diff_2D-sept2009.o  \
        conserv-mass-adv-diff_sept2009_mod.o  \
        eaubasale-0.5_mod.o spinup_mod.o no_spinup_mod.o \
        tridiag_mod-0.3.o out_horiz_mod.o bmelt-seuil-profondeur_mod.o

#	prescribe-H_mod.o ou prescribe-H-i2s_mod.o sont dans modules_dim \

# attention les tracers reclament le climat_perturb
mod_tracers = tracer_vars_mod.o tracer_mod.o notracer_mod.o \
	interpolate_tracer.o celltest_tracer.o 	
# no_tracer a part pour eviter pb avec climat_perturb => voir avec Cat
mod_no_tracers = tracer_vars_mod.o notracer_mod.o


Proto_recul = proto_declar_3D_grisli_mod.o \
	declar_io_ncdf_proto_mod.o\
	declar_proto_recul.o \
	proto_recul_mod.o \

# Toy est la version juin 2012 avec Schooffing

toy_recul = toy_declar_3D_grisli_mod.o \
	declar_io_ncdf_toy_mod_fake.o\
	declar_toy_retreat.o \
	toy_retreat_mod.o \



# liste de routines communes
# enleve  : flow_general-0.3.o flowlaw-0.3.o  Cat 23 mars 2012

routines_communes = tracebug.o ablation_bord.o \
	icetemp_declar_mod.o bmelt-grounded.o calceps2-0.2.o  \
	diffusiv-polyn-0.6.o \
	flottab-rescue-1.o flottab2-0.7.o   \
	advec_icetemp.o \
	prop_th_icetemp.o \
	Qprod_icetemp.o \
	temp_col.o \
	icetemp_mod.o \
	initial-0.3.o initial-phy-2.o initial2-0.4.o \
	lastoutput-0.2.o lect-eis.o  readinput.o lect_datfile.o write_datfile.o \
	out_cptr_mod.o lineartemp-0.2.o  litho-0.4.o main3D-0.4-40km.o masque.o \
	minmax-format.o moy_mxmy.o neffect-0.4.o new-flot-0.3.o  next-time.o \
	no-icethick.o  printdebug.o  \
	sealevel-out.o slope_surf.o \
	snaptime.o sortie-hz-multivar.o strain_rate.o \
	tab-litho-0.3.o taubed-0.3.o \
	velocities-polyn-0.3.o \
	vtoutput-0.2.o  courbures.o

#	vtoutput-0.2.o steps_time_loop.o courbures.o 



# listes dependant de la geographie
#_____________________________________

# Liste_mismip_3D_5
Liste_mismip_3D_5 =  no_ablation_mod.o climat-mismip3d_mod.o  \
	output_global_mod.o dragging_mismip3d_mod.o \
	fake-routines-mismip3d_mod.o \
	tracer_vars_mod.o notracer_mod.o 

# Liste_mismip_post_ncdf
Liste_mismip_post_ncdf = lect-mismip3d_mod.o  module_choix_mismip3d.o


# Liste_GrIce2sea
Liste_GrIce2sea =  lect_GrIce2sea_gen_nc.o  \
        output_Grice2sea_mod.o  fake-routines_Grice2sea_mod.o \
	dragging_prescr_beta_mod.o beta_iter_vitbil_mod.o module_choix_GrIce2sea.o 
#       massb-ant_forcage-0.4

Liste_heminord = paradim-nord40_mod.o  output_nord_mod-0.4.o \
	lect-clim-act-nord40_mod.o lect-nord40_mod.o  \
	bmelt-nor-regions_mod.o bmelt-nor-depth_mod.o module_choix-heminord-0.4.o \
        fake-routines-nord_mod.o 


Liste_ANT15-LBq = lect-Ant_clim_Acc-T_gen_dat.o output_anta_mod-0.4.o \
	dragging-vit_bil_LBq_gen_mod.o dragging_LGM_mod.o dragging_plastic_LGM_mod.o \
	dragging_prescr_beta_mod.o dragging_prescr_beta_buoyency_mod.o dragging_prescr_beta_nolin_mod.o \
	fake-routines-ant_mod.o beta_iter_vitbil_mod.o \
	lect-Ant_gen2010_dat.o module_choix_antar15_LBq.o \
	massb-ant_perturb_Tparam.o track_ant40_mod.o 



Liste_hudson = sedim_declar_hudson_mod.o climat-hudson_mod.o \
       lect-hudson_mod.o eaubasale-0.5_hudson_mod.o \
       fake-routines-hudson_mod.o detect-assym.o  \
       prop-therm-hudson_mod.o dragging_hudson_jorge_mod.o \
       sliding-hudson_mod.o fake-dragging-hudson_mod.o \
       dragging-hudson_mod.o dragging_hwatermax_hudson_mod.o \
       output_hudson_mod.o bmelt_hudson_mod.o initial-hudson-phy.o  \
       module_choix-hudson-0.4.o track_hudson_mod.o

Liste_hemin40 = output_hemin40_mod.o \
        lect-hemin40_mod.o  \
        bmelt-hemin40-regions_mod.o bmelt-hemin40-depth_mod.o \
        fake-routines-hemin40_mod.o  module_choix-hemin40-0.4.o \
        track_hemin40_mod.o

Liste_hemin15 = output_hemin40_mod.o \
        lect-hemin15_mod.o  \
        bmelt-hemin40-depth_mod.o \
        fake-routines-hemin15_mod.o  module_choix-hemin15.o \
        track_hemin15_mod.o

Liste_greeneem15 = output_greeneem_mod-0.4.o \
	lect-greeneem_mod.o \
	dragging_neem_mod.o \
	fake-routines-greeneem_mod.o \
	module_choix-greeneem.o \
	track_greeneem_mod.o 

Liste_Ant40 = output_anta40_mod-0.4.o \
        lect-anteis_mod.o \
        bmelt-ant-regions_mod.o \
        fake-routines-ant_mod.o module_choix-antar40-0.4.o \
        track_ant40_mod.o

Liste_eura40 = output_eurasie40_mod-0.1.o \
        lect-eurasie_mod.o lakes-prescribed_mod-0.1.o \
        climat-forcage-mois_mod-0.2.o \
        ablation_month.o accum_month.o  bmelt-eurasie-depth-lake_mod.o \
        fake-routines-eurasie_mod.o module_choix-eurasie-0.4.o \
        track_eurasie_mod.o

Liste_greenmint40 = output_green_mod-0.4.o lect-clim-act-greenmint_mod.o \
        lect-greenmint_mod.o massb_perturb_Tparam_green.o \
	fake-routines-greenmint_mod.o massb-ant_forcage-0.4.o \
	module_choix-greenmint-40.o track_greenmint_mod.o \

Liste_greeneem45 = output_greeneem_mod-0.4.o lect-clim-act-greeneem_mod.o \
	lect-clim-act-greeneem_mar_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-greeneem_mois_lapsecouche_mod.o \
        lect-clim-act-greeneem_mois_mod.o lect-greeneem_mod.o \
	massb_perturb_Tparam_greeneem.o \
	fake-routines-greeneem_mod.o massb-ant_forcage-0.4.o \
	module_choix-greeneem.o track_greeneem_mod.o 

Liste_greeneem05 = output_greeneem_mod-0.4.o lect-clim-act-greeneem_mod.o \
	lect-clim-act-greeneem_mar_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-greeneem_mois_lapsecouche_mod.o \
        lect-clim-act-greeneem_mois_mod.o lect-greeneem_mod.o \
	massb_perturb_Tparam_greeneem.o \
	fake-routines-greeneem_mod.o massb-ant_forcage-0.4.o \
	module_choix-greeneem.o track_greeneem_mod.o 

Liste_gsearise15 = output_gsearise_mod-0.4.o lect-clim-act-gsearise_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-gsearise_mois_mod.o lect-gsearise_mod.o \
	massb_perturb_Tparam_gsearise.o \
	fake-routines-gsearise_mod.o massb-ant_forcage-0.4.o \
	module_choix-gsearise.o track_gsearise_mod.o 

Liste_gsearise05 = output_gsearise_mod-0.4.o lect-clim-act-gsearise_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-gsearise_mois_mod.o lect-gsearise_mod.o \
	massb_perturb_Tparam_gsearise.o \
	fake-routines-gsearise_mod.o massb-ant_forcage-0.4.o \
	module_choix-gsearise.o track_gsearise_mod.o 

# listes de dimensionnement (dependent de la geographie)
#-----------------------------

Dim_Mismip_3D_5 = paradim_mismip3D_5km_mod.o geography-Mismip3d.o

Dim_GrIce2sea = paradim-GrIce2sea-cut_Tamsin.o geography-GrIce2sea.o

Dim_ANT15-LBq    = paradim-ant15_LBq_mod.o geography-Ant15_LBq.o   

Dim_hudson = paradim-hudson_mod.o geography-hudson_mod.o

Dim_hemin40 = paradim-hemin40_mod.o geography-hemin40_mod.o

Dim_hemin15 = paradim-hemin15_mod.o geography-hemin15_mod.o

Dim_Ant40 = paradim-ant40_mod.o geography-ant40_mod.o

Dim_eura40 = paradim-euras40_mod.o geography-euras40_mod.o

Dim_greenmint40 = paradim-greenmint40_mod.o geography-greenmint40_mod.o

Dim_greeneem45 = paradim-greeneem45_mod.o geography-greeneem45_mod.o

Dim_greeneem15 = paradim-greeneem15_mod.o geography-greeneem15_mod.o

Dim_greeneem05 = paradim-greeneem05_mod.o geography-greeneem05_mod.o

Dim_gsearise15 = paradim-gsearise15_mod.o geography-gsearise15_mod.o

Dim_gsearise05 = paradim-gsearise05_mod.o geography-gsearise05_mod.o

# Liste_BLAS = band.o reduc.o \
# 	BLAS/isamax.o BLAS/lsame.o BLAS/scopy.o BLAS/sgbmv.o BLAS/sgemm.o \
# 	BLAS/sgemv.o  BLAS/sger.o BLAS/sscal.o BLAS/sswap.o BLAS/stbsv.o \
# 	BLAS/strsm.o BLAS/xerbla.o

Liste_BLAS = LAPACK/band.o LAPACK/reduc.o \
	BLAS/isamax.o BLAS/lsame.o BLAS/scopy.o \
	BLAS/slamch.o BLAS/slabad.o BLAS/slange.o \
	BLAS/slassq.o BLAS/sgeqrf.o BLAS/sormqr.o \
	BLAS/strmv.o BLAS/slarft.o \
	BLAS/ilaslr.o BLAS/ilaslc.o BLAS/strmm.o \
	BLAS/slarfb.o BLAS/slapy2.o BLAS/slarfg.o BLAS/slarf.o \
	BLAS/sgeqr2.o BLAS/sorm2r.o BLAS/snrm2.o \
	BLAS/slaqps.o BLAS/slaqp2.o BLAS/sgeqp3.o \
	BLAS/slaset.o BLAS/slaisnan.o BLAS/sisnan.o \
	BLAS/slascl.o BLAS/sdot.o BLAS/slaic1.o \
	BLAS/slarzb.o BLAS/slarzt.o \
	BLAS/saxpy.o BLAS/slarz.o BLAS/sormr3.o \
	BLAS/sormrz.o BLAS/slatrz.o BLAS/stzrzf.o BLAS/sgelsy.o \
	BLAS/sgbmv.o BLAS/sgemm.o BLAS/sgemv.o  BLAS/sger.o \
	BLAS/sscal.o BLAS/sswap.o BLAS/stbsv.o \
	BLAS/strsm.o BLAS/xerbla.o



# ancienne methode
#Liste_Netcdf = io_netcdf.o  sortie_netcdf_GRISLI_mod.0.2.o

# pour fonctionner avec code Hassine
# sortie_netcdf_GRISLI_mod.0.2-hassine.o 
Liste_Netcdf =   sortie_netcdf_GRISLI_mod.0.2-hassine.o 


# Pour changer la methode de lecture du fichier param
#----------------------------------------------------------------------------------
initial-phy-2.o : 
	echo 'methode', $(JOB)

ifeq ($(JOB),'job')
	echo 'entree fichier parametre par commande echo job'

	 $(FT) initial-phy-2-job.f90 -o initial-phy-2.o
else	
	echo ' fichier parametre defini par runname'
	 $(FT) initial-phy-2.f90 -o initial-phy-2.o
endif

# routines et modules qui dependent de la machine (defini dans le makefile machine)
#----------------------------------------------------------------------------------
# quelques ligne de difference dans la creation des netcdf


#sortie_netcdf_GRISLI_mod.0.2-hassine.o :
#ifeq ($(machine),'r2d2')	
#	$(F_NETCDF) Netcdf-routines/sortie_netcdf_GRISLI_mod.0.2-hassine-r2d2.f90 -o sortie_netcdf_GRISLI_mod.0.2-hassine.o
#else	
#	$(F_NETCDF) Netcdf-routines/sortie_netcdf_GRISLI_mod.0.2-hassine.f90	
#endif

#out_cptr_mod.o : 
#ifeq ($(machine),'r2d2')
#	$(F_NETCDF) out_cptr_mod-r2d2.f90 -o out_cptr_mod.o	
#else
#	$(F_NETCDF) out_cptr_mod.f90
#endif

# Compilation Modules
#---------------------------------
paradim-ant40_mod.o : Ant40_files/paradim-ant40_mod.f90
	$(FT) Ant40_files/paradim-ant40_mod.f90

paradim-ant15_LBq_mod.o : ANT15-LBq_files/paradim-ant15_LBq_mod.f90
	$(FT) ANT15-LBq_files/paradim-ant15_LBq_mod.f90

paradim-ant15_CISM_mod.o : Ant15_CISM_files/paradim-ant15_CISM_mod.f90
	$(FT) Ant15_CISM_files/paradim-ant15_CISM_mod.f90

paradim-ant20_CISM_mod.o : Ant20_CISM_files/paradim-ant20_CISM_mod.f90
	$(FT) Ant20_CISM_files/paradim-ant20_CISM_mod.f90

paradim-ant25_CISM_mod.o : Ant25_CISM_files/paradim-ant25_CISM_mod.f90
	$(FT) Ant25_CISM_files/paradim-ant25_CISM_mod.f90

paradim-ant45_CISM_mod.o : Ant45_CISM_files/paradim-ant45_CISM_mod.f90
	$(FT) Ant45_CISM_files/paradim-ant45_CISM_mod.f90

paradim-nord40_mod.o : Heminord_files/paradim-nord40_mod.f90
	$(FT)  Heminord_files/paradim-nord40_mod.f90

paradim-euras40_mod.o : Eurasie40_files/paradim-euras40_mod.f90
	$(FT)  Eurasie40_files/paradim-euras40_mod.f90

paradim-eura20_mod.o : paradim-eura20_mod.f90
	$(FT)  paradim-eura20_mod.f90

paradim-eura10_mod.o : paradim-eura10_mod.f90
	$(FT)  paradim-eura10_mod.f90

paradim-greenmint40_mod.o : Greenmint40_files/paradim-greenmint40_mod.f90
	$(FT) Greenmint40_files/paradim-greenmint40_mod.f90

paradim-greeneem45_mod.o : Greeneem_files/Greeneem45_files/paradim-greeneem45_mod.f90
	$(FT) Greeneem_files/Greeneem45_files/paradim-greeneem45_mod.f90

paradim-greeneem15_mod.o : Greeneem_files/Greeneem15_files/paradim-greeneem15_mod.f90
	$(FT) Greeneem_files/Greeneem15_files/paradim-greeneem15_mod.f90

paradim-greeneem05_mod.o : Greeneem_files/Greeneem05_files/paradim-greeneem05_mod.f90
	$(FT) Greeneem_files/Greeneem05_files/paradim-greeneem05_mod.f90

paradim-gsearise15_mod.o : Gsearise_files/Gsearise15_files/paradim-gsearise15_mod.f90
	$(FT) Gsearise_files/Gsearise15_files/paradim-gsearise15_mod.f90

paradim-gsearise05_mod.o : Gsearise_files/Gsearise05_files/paradim-gsearise05_mod.f90
	$(FT) Gsearise_files/Gsearise05_files/paradim-gsearise05_mod.f90

paradim-GrIce2sea-cut_Tamsin.o : GrIce2sea_files/paradim-GrIce2sea-cut_Tamsin.f90
	$(FT)  GrIce2sea_files/paradim-GrIce2sea-cut_Tamsin.f90

paradim-Heino_mod.o : Heino_files/paradim-Heino_mod.f90
	$(FT) Heino_files/paradim-Heino_mod.f90

geography-ant40_mod.o : Ant40_files/geography-ant40_mod.f90
	$(FT) Ant40_files/geography-ant40_mod.f90

geography-Ant15_LBq.o : ANT15-LBq_files/geography-Ant15_LBq.f90
	$(FT)  ANT15-LBq_files/geography-Ant15_LBq.f90

geography-Ant15CISM.o : Ant15_CISM_files/geography-Ant15CISM.f90
	$(FT) Ant15_CISM_files/geography-Ant15CISM.f90

geography-Ant20CISM.o : Ant20_CISM_files/geography-Ant20CISM.f90
	$(FT) Ant20_CISM_files/geography-Ant20CISM.f90

geography-Ant25CISM.o : Ant25_CISM_files/geography-Ant25CISM.f90
	$(FT) Ant25_CISM_files/geography-Ant25CISM.f90

geography-Ant45CISM.o : Ant45_CISM_files/geography-Ant45CISM.f90
	$(FT) Ant45_CISM_files/geography-Ant45CISM.f90

geography-heino_mod.o : Heino_files/geography-heino_mod.f90
	$(FT) Heino_files/geography-heino_mod.f90

geography-heminord_mod.o : Heminord_files/geography-heminord_mod.f90
	$(FT)  Heminord_files/geography-heminord_mod.f90

geography-euras40_mod.o : Eurasie40_files/geography-euras40_mod.f90
	$(FT) Eurasie40_files/geography-euras40_mod.f90

geography-greenmint40_mod.o : Greenmint40_files/geography-greenmint40_mod.f90
	$(FT) Greenmint40_files/geography-greenmint40_mod.f90

geography-greeneem45_mod.o : Greeneem_files/Greeneem45_files/geography-greeneem45_mod.f90
	$(FT) Greeneem_files/Greeneem45_files/geography-greeneem45_mod.f90

geography-greeneem15_mod.o : Greeneem_files/Greeneem15_files/geography-greeneem15_mod.f90
	$(FT) Greeneem_files/Greeneem15_files/geography-greeneem15_mod.f90

geography-greeneem05_mod.o : Greeneem_files/Greeneem05_files/geography-greeneem05_mod.f90
	$(FT) Greeneem_files/Greeneem05_files/geography-greeneem05_mod.f90

geography-gsearise15_mod.o : Gsearise_files/Gsearise15_files/geography-gsearise15_mod.f90
	$(FT) Gsearise_files/Gsearise15_files/geography-gsearise15_mod.f90

geography-gsearise05_mod.o : Gsearise_files/Gsearise05_files/geography-gsearise05_mod.f90
	$(FT) Gsearise_files/Gsearise05_files/geography-gsearise05_mod.f90

geography-GrIce2sea.o : GrIce2sea_files/geography-GrIce2sea.f90
	$(FT) GrIce2sea_files/geography-GrIce2sea.f90


# Physique et topography
# ---------------------------

runparam_mod.o : runparam_mod.f90
	$(FT) runparam_mod.f90

3D-physique-gen_mod.o : 3D-physique-gen_mod.f90
	$(FT) 3D-physique-gen_mod.f90

param_phy_mod.o: param_phy_mod.f90
	$(FT) param_phy_mod.f90

lect-anteis_mod.o : Ant40_files/lect-anteis_mod.f90
	$(FT) Ant40_files/lect-anteis_mod.f90

lect-Ant_CISM_gen_dat.o : Antarctique_general_files/lect-Ant_CISM_gen_dat.f90
	$(FT) Antarctique_general_files/lect-Ant_CISM_gen_dat.f90

lect-Ant_gen2010_dat.o : Antarctique_general_files/lect-Ant_gen2010_dat.f90
	$(FT) Antarctique_general_files/lect-Ant_gen2010_dat.f90

lect-Ant_CISM_15_dat.o : Ant15_CISM_files/lect-Ant_CISM_15_dat.f90
	$(FT) Ant15_CISM_files/lect-Ant_CISM_15_dat.f90

lect-Ant_CISM_45_dat.o : Ant45_CISM_files/lect-Ant_CISM_45_dat.f90
	$(FT) Ant45_CISM_files/lect-Ant_CISM_45_dat.f90

lect-nord40_mod.o : Heminord_files/lect-nord40_mod.f90
	$(FT) Heminord_files/lect-nord40_mod.f90

lect-eurasie_mod.o : Eurasie40_files/lect-eurasie_mod.f90
	$(FT) Eurasie40_files/lect-eurasie_mod.f90

lect-greenmint_mod.o : Greenmint40_files/lect-greenmint_mod.f90
	$(FT) Greenmint40_files/lect-greenmint_mod.f90

lect-greeneem_mod.o : Greeneem_files/lect-greeneem_mod.f90
	$(FT) Greeneem_files/lect-greeneem_mod.f90

lect-gsearise_mod.o : Gsearise_files/lect-gsearise_mod.f90
	$(FT) Gsearise_files/lect-gsearise_mod.f90

lect-Heino_mod.o : Heino_files/lect-Heino_mod.f90
	$(FT) Heino_files/lect-Heino_mod.f90

lect_GrIce2sea_gen_nc.o : GrIce2sea_files/lect_GrIce2sea_gen_nc.f90
	$(FT)  GrIce2sea_files/lect_GrIce2sea_gen_nc.f90

bmelt-ant-regions_declar_mod.o : Ant40_files/bmelt-ant-regions_declar_mod.f90
	$(FT) Ant40_files/bmelt-ant-regions_declar_mod.f90

bmelt-ant-regions_mod.o : Ant40_files/bmelt-ant-regions_mod.f90
	$(FT)  Ant40_files/bmelt-ant-regions_mod.f90

bmelt-nor-regions_mod.o : Heminord_files/bmelt-nor-regions_mod.f90
	$(FT) Heminord_files/bmelt-nor-regions_mod.f90

bmelt-nor-depth_mod.o : Heminord_files/bmelt-nor-depth_mod.f90
	$(FT) Heminord_files/bmelt-nor-depth_mod.f90

bmelt-eurasie-depth-lake_mod.o : Eurasie40_files/bmelt-eurasie-depth-lake_mod.f90
	$(FT) Eurasie40_files/bmelt-eurasie-depth-lake_mod.f90

bmelt-seuil-profondeur_mod.o : bmelt-seuil-profondeur_mod.f90
	$(FT) bmelt-seuil-profondeur_mod.f90

lakes-prescribed_mod-0.1.o : Eurasie40_files/lakes-prescribed_mod-0.1.f90
	$(FT) Eurasie40_files/lakes-prescribed_mod-0.1.f90

no_lakes.o : no_lakes.f90
	$(FT) no_lakes.f90

iso_declar_mod-0.3.o : iso_declar_mod-0.3.f90
	$(FT) iso_declar_mod-0.3.f90

noisostasie_mod-0.3.o : noisostasie_mod-0.3.f90
	$(FT) noisostasie_mod-0.3.f90

isostasie_mod-0.3.o : isostasie_mod-0.3.f90 
	$(FT) isostasie_mod-0.3.f90

eq_elliptique_mod-0.4.o : eq_elliptique_mod-0.4.f90
	$(FT) eq_elliptique_mod-0.4.f90


#------------ Traceurs isotopiques

tracer_mod.o : tracer_mod.f90 
	$(FT) tracer_mod.f90

notracer_mod.o : notracer_mod.f90 
	$(FT) notracer_mod.f90

tracer_vars_mod.o : tracer_vars_mod.f90 
	$(FT) tracer_vars_mod.f90

interpolate_tracer.o : interpolate_tracer.f90 
	$(FT) interpolate_tracer.f90

celltest_tracer.o : celltest_tracer.f90 
	$(FT) celltest_tracer.f90


#-------------lecture des fichiers Climat

lect-Ant_clim_Acc-T_gen_dat.o : Antarctique_general_files/lect-Ant_clim_Acc-T_gen_dat.f90
	$(FT)  Antarctique_general_files/lect-Ant_clim_Acc-T_gen_dat.f90


lect-clim-act-greenmint_mod.o : Greenmint40_files/lect-clim-act-greenmint_mod.f90
	$(FT) Greenmint40_files/lect-clim-act-greenmint_mod.f90

lect-clim-act-greeneem_mod.o : Greeneem_files/lect-clim-act-greeneem_mod.f90
	$(FT) Greeneem_files/lect-clim-act-greeneem_mod.f90

lect-clim-act-gsearise_mod.o : Gsearise_files/lect-clim-act-gsearise_mod.f90
	$(FT) Gsearise_files/lect-clim-act-gsearise_mod.f90

lect-clim-act-greeneem_mar_mod.o : Greeneem_files/lect-clim-act-greeneem_mar_mod.f90
	$(FT) Greeneem_files/lect-clim-act-greeneem_mar_mod.f90

lect-clim-act-greeneem_mois_lapsecouche_mod.o :	Greeneem_files/lect-clim-act-greeneem_mois_lapsecouche_mod.f90
	$(FT) Greeneem_files/lect-clim-act-greeneem_mois_lapsecouche_mod.f90

lect-clim-act-greeneem_mois_mod.o : Greeneem_files/lect-clim-act-greeneem_mois_mod.f90
	$(FT) Greeneem_files/lect-clim-act-greeneem_mois_mod.f90

lect-clim-act-gsearise_mois_mod.o : Gsearise_files/lect-clim-act-gsearise_mois_mod.f90
	$(FT) Gsearise_files/lect-clim-act-gsearise_mois_mod.f90

lect-clim-act-nord40_mod.o : Heminord_files/lect-clim-act-nord40_mod.f90
	$(FT) Heminord_files/lect-clim-act-nord40_mod.f90

lect_climat_ref_Ice2sea_mod.o : GrIce2sea_files/lect_climat_ref_Ice2sea_mod.f90
	$(FT) GrIce2sea_files/lect_climat_ref_Ice2sea_mod.f90


# modules de climat
# ---------------------------
# nouveaux modules climat C. Dumas Fev 2015
climat_forcage_mois_mod.o : climat_forcage_mois_mod.f90
	$(F_NETCDF) climat_forcage_mois_mod.f90

climat-forcage-insolation_mod_oneway.o : climat-forcage-insolation_mod_oneway.f90
	$(F_NETCDF) climat-forcage-insolation_mod_oneway.f90

climat-forcage-insolation_mod.o : climat-forcage-insolation_mod.f90
	$(F_NETCDF) climat-forcage-insolation_mod.f90

climat-perturb_mod-0.4.o : climat-perturb_mod-0.4.f90
	$(F_NETCDF) climat-perturb_mod-0.4.f90

ablation_mod.o : ablation_mod.f90
	$(FT) ablation_mod.f90
# Module climat pour iLOVECLIM -- dmr 2016-01-20
climat_coupl_atm_mod.o : climat_coupl_atm_mod.f90
	$(FT) climat_coupl_atm_mod.f90

##### anciens modules
climat-forcage_mod-0.4.o : climat-forcage_mod-0.4.f90 
	$(FT) climat-forcage_mod-0.4.f90

climat_GrIce2sea_mod.o : GrIce2sea_files/climat_GrIce2sea_mod.f90
	$(FT) GrIce2sea_files/climat_GrIce2sea_mod.f90

climat_GrIce2sea_years_mod.o : GrIce2sea_files/climat_GrIce2sea_years_mod.f90
	$(F_NETCDF) GrIce2sea_files/climat_GrIce2sea_years_mod.f90

climat-forcage-stat-mois_mod-0.1.o : climat-forcage-stat-mois_mod-0.1.f90
	$(FT)  climat-forcage-stat-mois_mod-0.1.f90

declare-month_mod.o : declare-month_mod.f90
	$(FT) declare-month_mod.f90

declare-month_lapsecouche_mod.o : declare-month_lapsecouche_mod.f90
	$(FT) declare-month_lapsecouche_mod.f90

climat-forcage-mois_mod-0.2.o : climat-forcage-mois_mod-0.2.f90
	$(FT) climat-forcage-mois_mod-0.2.f90

ablation_month.o : ablation_month.f90
	$(FT) ablation_month.f90

ablation_month_lapsecouche.o : ablation_month_lapsecouche.f90
	$(FT) ablation_month_lapsecouche.f90

ablation_ann_july_mod.o : ablation_ann_july_mod.f90
	$(FT) ablation_ann_july_mod.f90

no_ablation_mod.o : no_ablation_mod.f90
	$(FT) no_ablation_mod.f90

accum_month.o : accum_month.f90
	$(FT) accum_month.f90

accum_month_lapsecouche.o : accum_month_lapsecouche.f90
	$(FT) accum_month_lapsecouche.f90

climat-perturb-mois_mod.o : climat-perturb-mois_mod.f90
	$(FT) climat-perturb-mois_mod.f90

climat-perturb-mois_lapsecouche_mod.o : climat-perturb-mois_lapsecouche_mod.F90
	$(FT) climat-perturb-mois_lapsecouche_mod.F90

clim-synthes_mod-o : climat-synthes_mod-0.4.f90
	$(FT)  climat-synthes_mod-0.4.f90

climat-heino_mod.o : Heino_files/climat-heino_mod.f90
	$(FT) Heino_files/climat-heino_mod.f90

deformation_mod_2lois.o : deformation_mod_2lois.f90
	$(FT) deformation_mod_2lois.f90

deformation_mod_2lois_isotherme.o : deformation_mod_2lois_isotherme.f90
	$(FT) deformation_mod_2lois_isotherme.f90

deformation_mod-0.3.o : deformation_mod-0.3.f90
	$(FT) deformation_mod-0.3.f90

sliding-Heino_mod.o : Heino_files/sliding-Heino_mod.f90
	$(FT) Heino_files/sliding-Heino_mod.f90

sliding_Bindshadler_mod.o : sliding_Bindshadler_mod.f90
	$(FT) sliding_Bindshadler_mod.f90

no_sliding.o : no_sliding.f90
	$(FT) no_sliding.f90

dragging_hwatermax_0.2_mod.o : dragging_hwatermax_0.2_mod.f90
	$(FT) dragging_hwatermax_0.2_mod.f90

dragging_hwat-contigu_mod.o : dragging_hwat-contigu_mod.f90
	$(FT) dragging_hwat-contigu_mod.f90

dragging_hwat_contmaj_mod.o : dragging_hwat_contmaj_mod.f90
	$(FT) dragging_hwat_contmaj_mod.f90

dragging_hwat_sedim_mod.o : dragging_hwat_sedim_mod.f90
	$(FT) dragging_hwat_sedim_mod.f90

dragging_calc_beta_mod.o : Antarctique_general_files/dragging_calc_beta_mod.f90
	$(FT) Antarctique_general_files/dragging_calc_beta_mod.f90

dragging_LGM_mod.o : Antarctique_general_files/dragging_LGM_mod.f90
	$(FT) Antarctique_general_files/dragging_LGM_mod.f90

dragging_plastic_LGM_mod.o : Antarctique_general_files/dragging_plastic_LGM_mod.f90
	$(FT) Antarctique_general_files/dragging_plastic_LGM_mod.f90

dragging_prescr_beta_mod.o : Draggings_modules/dragging_prescr_beta_mod.f90
	$(FT)  Draggings_modules/dragging_prescr_beta_mod.f90

dragging_prescr_beta_buoyency_mod.o : Draggings_modules/dragging_prescr_beta_buoyency_mod.f90
	$(FT)  Draggings_modules/dragging_prescr_beta_buoyency_mod.f90

dragging_prescr_beta_nolin_mod.o : Draggings_modules/dragging_prescr_beta_nolin_mod.f90
	$(FT)  Draggings_modules/dragging_prescr_beta_nolin_mod.f90 

beta_iter_vitbil_mod.o : Draggings_modules/beta_iter_vitbil_mod.f90
	$(FT)  Draggings_modules/beta_iter_vitbil_mod.f90

dragging_stream_impose_vitbil_mod.o : Ant40_files/dragging_stream_impose_vitbil_mod.f90
	$(FT) Ant40_files/dragging_stream_impose_vitbil_mod.f90

dragging-vit_bil_LBq_gen_mod.o  : Antarctique_general_files/dragging-vit_bil_LBq_gen_mod.f90
	$(FT)  Antarctique_general_files/dragging-vit_bil_LBq_gen_mod.f90

dragging-vit_bil_CISM_gen_mod.o : Antarctique_general_files/dragging-vit_bil_CISM_gen_mod.f90
	$(FT) Antarctique_general_files/dragging-vit_bil_CISM_gen_mod.f90

dragging_neem_mod.o : Greeneem_files/dragging_neem_mod.f90
	$(FT) Greeneem_files/dragging_neem_mod.f90

dragging-vit_bil_CISM_15_mod.o : Ant15_CISM_files/dragging-vit_bil_CISM_15_mod.f90
	$(FT) Ant15_CISM_files/dragging-vit_bil_CISM_15_mod.f90

dragging-vit_bil_CISM_45_mod.o : Ant45_CISM_files/dragging-vit_bil_CISM_45_mod.f90
	$(FT) Ant45_CISM_files/dragging-vit_bil_CISM_45_mod.f90

prop-therm-Heino_mod.o : Heino_files/prop-therm-Heino_mod.f90
	$(FT) Heino_files/prop-therm-Heino_mod.f90

calving_frange.o : calving_frange.f90
	$(FT) calving_frange.f90 

no_calving.o : no_calving.f90
	$(FT) no_calving.f90

track_heino_mod.o : Heino_files/track_heino_mod.f90
	$(FT) Heino_files/track_heino_mod.f90

track_ant40_mod.o : Ant40_files/track_ant40_mod.f90
	$(FT) Ant40_files/track_ant40_mod.f90

track_greenmint_mod.o : Greenmint40_files/track_greenmint_mod.f90
	$(FT) Greenmint40_files/track_greenmint_mod.f90

track_greeneem_mod.o : Greeneem_files/track_greeneem_mod.f90
	$(FT) Greeneem_files/track_greeneem_mod.f90

track_gsearise_mod.o : Gsearise_files/track_gsearise_mod.f90
	$(FT) Gsearise_files/track_gsearise_mod.f90


#------- modules de resolution equations

relaxation_mod-0.3.o : relaxation_mod-0.3.f90
	$(FT) relaxation_mod-0.3.f90

relaxation_water_mod-0.4.o : relaxation_water_mod-0.4.f90
	$(FT) relaxation_water_mod-0.4.f90

relaxation_water_diffusion.o : relaxation_water_diffusion.f90
	$(FT) relaxation_water_diffusion.f90

tridiag_mod-0.3.o : tridiag_mod-0.3.f90
	$(FT) tridiag_mod-0.3.f90

resol_adv_diff_2D.o : resol_adv_diff_2D.f90
	$(FT) resol_adv_diff_2D.f90

resol_adv_diff_2D-juin2009.o : resol_adv_diff_2D-juin2009.f90
	$(FT) resol_adv_diff_2D-juin2009.f90

resol_adv_diff_2D-sept2009.o : resol_adv_diff_2D-sept2009.f90
	$(FT) resol_adv_diff_2D-sept2009.f90

#conserv-mass-adv-diff_mod.o : conserv-mass-adv-diff_mod.f90
#	$(FT) conserv-mass-adv-diff_mod.f90

#precribe-H_mod.o : precribe-H_mod.f90   old version + mauvais nom
#	$(FT)  precribe-H_mod.f90

prescribe-H_mod.o : prescribe-H_mod.f90
	$(FT)  prescribe-H_mod.f90

prescribe-H-i2s_mod.o : prescribe-H-i2s_mod.f90
	$(FT) prescribe-H-i2s_mod.f90

#conserv-mass-adv-diff_juin2009_mod.o : conserv-mass-adv-diff_juin2009_mod.f90
#	$(FT) conserv-mass-adv-diff_juin2009_mod.f90

conserv-mass-adv-diff_sept2009_mod.o : conserv-mass-adv-diff_sept2009_mod.f90
	$(FT) conserv-mass-adv-diff_sept2009_mod.f90

# ---------  spinup
spinup_mod.o : spinup_mod.f90
	$(FT) spinup_mod.f90

no_spinup_mod.o : no_spinup_mod.f90
	$(FT) no_spinup_mod.f90



#-------------Output
out_horiz_mod.o : out_horiz_mod.f90
	$(FT) out_horiz_mod.f90

out_profile_mod.o : out_profile_mod.f90
	$(FT) out_profile_mod.f90

output_anta_mod-0.4.o : Antarctique_general_files/output_anta_mod-0.4.f90
	$(FT) Antarctique_general_files/output_anta_mod-0.4.f90

output_anta40_mod-0.4.o : Ant40_files/output_anta40_mod-0.4.f90
	$(FT) Ant40_files/output_anta40_mod-0.4.f90

output_global_mod.o :output_global_mod.f90
	$(FT) output_global_mod.f90 

output_green_mod-0.4.o : Greenmint40_files/output_green_mod-0.4.f90
	$(FT) Greenmint40_files/output_green_mod-0.4.f90

output_greeneem_mod-0.4.o : Greeneem_files/output_greeneem_mod-0.4.f90
	$(FT) Greeneem_files/output_greeneem_mod-0.4.f90

output_gsearise_mod-0.4.o : Gsearise_files/output_gsearise_mod-0.4.f90
	$(FT) Gsearise_files/output_gsearise_mod-0.4.f90

output_heino_mod.o : Heino_files/output_heino_mod.f90
	$(FT) Heino_files/output_heino_mod.f90

output_nord_mod-0.4.o : Heminord_files/output_nord_mod-0.4.f90
	$(FT) Heminord_files/output_nord_mod-0.4.f90

output_Grice2sea_mod.o : GrIce2sea_files/output_Grice2sea_mod.f90
	$(FT)  GrIce2sea_files/output_Grice2sea_mod.f90

out_cptr_mod.o : out_cptr_mod.f90
	$(F_NETCDF) out_cptr_mod.f90

util_recovery.o : util_recovery.f90
	$(FT) util_recovery.f90

printtable_mod.o : printtable_mod.f90	
	$(FT) printtable_mod.f90

# modules "fake" pour compatibilite
#----------------------------------

fake-routines-Heino_mod.o : Heino_files/fake-routines-Heino_mod.f90
	$(FT) Heino_files/fake-routines-Heino_mod.f90

fake-routines-ant_mod.o : Antarctique_general_files/fake-routines-ant_mod.f90
	$(FT) Antarctique_general_files/fake-routines-ant_mod.f90

fake-routines-greenmint_mod.o : Greenmint40_files/fake-routines-greenmint_mod.f90
	$(FT) Greenmint40_files/fake-routines-greenmint_mod.f90

fake-routines-greeneem_mod.o : Greeneem_files/fake-routines-greeneem_mod.f90
	$(FT) Greeneem_files/fake-routines-greeneem_mod.f90

fake-routines-gsearise_mod.o : Gsearise_files/fake-routines-gsearise_mod.f90
	$(FT) Gsearise_files/fake-routines-gsearise_mod.f90

fake-routines-nord_mod.o : Heminord_files/fake-routines-nord_mod.f90
	$(FT) Heminord_files/fake-routines-nord_mod.f90

fake-routines_Grice2sea_mod.o : GrIce2sea_files/fake-routines_Grice2sea_mod.f90
	$(FT) GrIce2sea_files/fake-routines_Grice2sea_mod.f90

# modules choix pour selectionner les modules physiques
#--------------------------------------------------------

module_choix-heino-0.4.o : Heino_files/module_choix-heino-0.4.f90
	$(FT)  Heino_files/module_choix-heino-0.4.f90

module_choix-heminord-0.4.o : Heminord_files/module_choix-heminord-0.4.f90
	$(FT)  Heminord_files/module_choix-heminord-0.4.f90

module_choix-antar40-0.4.o : Ant40_files/module_choix-antar40-0.4.f90
	$(FT)  Ant40_files/module_choix-antar40-0.4.f90

module_choix_antar15_LBq.o : ANT15-LBq_files/module_choix_antar15_LBq.f90
	$(FT) ANT15-LBq_files/module_choix_antar15_LBq.f90

module_choix_antar15CISM.o : Ant15_CISM_files/module_choix_antar15CISM.f90
	$(FT) Ant15_CISM_files/module_choix_antar15CISM.f90

module_choix_antar20CISM.o : Ant20_CISM_files/module_choix_antar20CISM.f90
	$(FT) Ant20_CISM_files/module_choix_antar20CISM.f90

module_choix_antar25CISM.o : Ant25_CISM_files/module_choix_antar25CISM.f90
	$(FT) Ant25_CISM_files/module_choix_antar25CISM.f90

module_choix_antar45CISM.o : Ant45_CISM_files/module_choix_antar45CISM.f90
	$(FT) Ant45_CISM_files/module_choix_antar45CISM.f90

module_choix-antar40-0.4_old.o : Ant40_files/module_choix-antar40-0.4_old.f90
	$(FT)  Ant40_files/module_choix-antar40-0.4_old.f90

module_choix-greenmint-40.o : Greenmint40_files/module_choix-greenmint-40.f90
	$(FT) Greenmint40_files/module_choix-greenmint-40.f90

module_choix-greeneem.o : Greeneem_files/module_choix-greeneem.f90
	$(FT) Greeneem_files/module_choix-greeneem.f90

module_choix-gsearise.o : Gsearise_files/module_choix-gsearise.f90
	$(FT) Gsearise_files/module_choix-gsearise.f90

module_choix_GrIce2sea.o : GrIce2sea_files/module_choix_GrIce2sea.f90
	$(FT) GrIce2sea_files/module_choix_GrIce2sea.f90

# Routines pour MISMIP
#-----------------------

climat-mismip3d_mod.o : MISMIP3D_files/climat-mismip3d_mod.f90
	$(FT) MISMIP3D_files/climat-mismip3d_mod.f90

dragging_mismip3d_mod.o : MISMIP3D_files/dragging_mismip3d_mod.f90
	$(FT) MISMIP3D_files/dragging_mismip3d_mod.f90

fake-routines-mismip3d_mod.o : MISMIP3D_files/fake-routines-mismip3d_mod.f90
	$(FT) MISMIP3D_files/fake-routines-mismip3d_mod.f90

lect-mismip3d_mod.o : MISMIP3D_files/lect-mismip3d_mod.f90 
	$(F_NETCDF) MISMIP3D_files/lect-mismip3d_mod.f90

geography-Mismip3d.o : MISMIP3D_files/geography-Mismip3d.f90 
	$(FT) MISMIP3D_files/geography-Mismip3d.f90 

paradim_mismip3D_5km_mod.o : MISMIP3D_files/paradim_mismip3D_5km_mod.f90
	$(FT)  MISMIP3D_files/paradim_mismip3D_5km_mod.f90

module_choix_mismip3d.o : MISMIP3D_files/module_choix_mismip3d.f90
	$(F_NETCDF) MISMIP3D_files/module_choix_mismip3d.f90


# Routines specifiques du programme : par ordre alphabetique
#-----------------------------------

tracebug.o : tracebug.f90
	$(FT) tracebug.f90

ablation-0.2.o : ablation-0.2.f #module3d.mod
	$(FT) ablation-0.2.f

ablation_bord.o : ablation_bord.f90
	$(FT) ablation_bord.f90

accum7.o : accum7.f
	$(FT) accum7.f

bmelt-grounded.o : bmelt-grounded.f90
	$(FT) bmelt-grounded.f90

calceps2-0.2.o : calceps2-0.2.f #module3d.mod
	$(FT) calceps2-0.2.f

courbures.o : courbures.f90
	$(FT) courbures.f90

detect-assym.o : Heino_files/detect-assym.f90
	$(FT) Heino_files/detect-assym.f90

diagno-ant-0.6_mod.o : diagno-ant-0.6_mod.f90
	$(FT) diagno-ant-0.6_mod.f90

diffusiv-polyn-0.5.o : diffusiv-polyn-0.5.f90 #module3d.mod
	$(FT) diffusiv-polyn-0.5.f90

diffusiv-polyn-0.6.o : diffusiv-polyn-0.6.f90 #module3d.mod
	$(FT) diffusiv-polyn-0.6.f90

eaubasale-0.5_mod.o : eaubasale-0.5_mod.f90
	$(FT) eaubasale-0.5_mod.f90

firstoutput-0.2.o : firstoutput-0.2.f #module3d.mod
	$(FT) firstoutput-0.2.f

#flottab2-0.6.o : flottab2-0.6.f90 #module3d.mod
#	$(FT) flottab2-0.6.f90

flottab2-0.7.o : flottab2-0.7.f90 #module3d.mod
	$(FT) flottab2-0.7.f90

#flottab2-0.5-heino.o : Heino_files/flottab2-0.5-heino.f90 #module3d.mod
#	$(FT) Heino_files/flottab2-0.5-heino.f90

flottab-rescue-1.o : flottab-rescue-1.f90 #module3d.mod
	$(FT) flottab-rescue-1.f90

flowlaw-0.3.o : flowlaw-0.3.f90 #module3d.mod
	$(FT) flowlaw-0.3.f90

flow_general-0.3.o : flow_general-0.3.f90 #module3d.mod deform_declar.mod
	$(FT) flow_general-0.3.f90


initial-heino-phy.o : Heino_files/initial-heino-phy.f90
	$(FT) Heino_files/initial-heino-phy.f90

no-icethick.o : no-icethick.f90  #module3d.mod 
	$(FT) no-icethick.f90

initial-0.3.o : initial-0.3.f90
	$(F_NETCDF) initial-0.3.f90

#initial-phy-2.o : initial-phy-2.f90  #module3d.mod iso_declar.mod
#	$(FT) initial-phy-2.f90



initial2-0.4.o : initial2-0.4.f90  #module3d.mod iso_declar.mod
	$(FT) initial2-0.4.f90


inputfile-vec-0.5.o : inputfile-vec-0.5.f90#module3d.mod
	$(FT) inputfile-vec-0.5.f90

lastoutput-0.2.o : lastoutput-0.2.f#module3d.mod
	$(FT) lastoutput-0.2.f

lect-eis.o : lect-eis.f90
	$(FT) lect-eis.f90

lect_datfile.o : lect_datfile.f90
	$(FT) lect_datfile.f90

write_datfile.o : write_datfile.f90
	$(FT) write_datfile.f90

limit_file.o : limit_file.f90
	$(FT) limit_file.f90

lineartemp-0.2.o : lineartemp-0.2.f90
	$(FT) lineartemp-0.2.f90

litho-0.3.o : litho-0.3.f90#module3d.mod iso_declar.mod
	$(FT) litho-0.3.f90

litho-0.4.o : litho-0.4.f90#module3d.mod iso_declar.mod
	$(FT) litho-0.4.f90

main3D-0.4-40km.o : main3D-0.4-40km.f90 #module3d.mod iso_declar.mod
	$(F_NETCDF) main3D-0.4-40km.f90

masque-0.2.o : masque-0.2.F#module3d.mod
	$(FT) masque-0.2.F

masque.o : masque.f90
	$(FT) masque.f90

massb-grice2sea_perturb_Tparam.o : GrIce2sea_files/massb-grice2sea_perturb_Tparam.f90
	$(FT) GrIce2sea_files/massb-grice2sea_perturb_Tparam.f90



massb-ant_perturb_Tparam.o : Antarctique_general_files/massb-ant_perturb_Tparam.f90
	$(FT) Antarctique_general_files/massb-ant_perturb_Tparam.f90

massbal-anteis-0.2.o : Ant40_files/massbal-anteis-0.2.f#module3d.mod
	$(FT) Ant40_files/massbal-anteis-0.2.f

massb_perturb_Tparam_green.o : Greenmint40_files/massb_perturb_Tparam_green.f90
	$(FT) Greenmint40_files/massb_perturb_Tparam_green.f90

massb_perturb_Tparam_greeneem.o : Greeneem_files/massb_perturb_Tparam_greeneem.f90
	$(FT) Greeneem_files/massb_perturb_Tparam_greeneem.f90

massb_perturb_Tparam_gsearise.o : Gsearise_files/massb_perturb_Tparam_gsearise.f90
	$(FT) Gsearise_files/massb_perturb_Tparam_gsearise.f90

massb_perturb_mois.o : massb_perturb_mois.f90
	$(FT) massb_perturb_mois.f90

massb_perturb_mois_lapsecouche.o : massb_perturb_mois_lapsecouche.f90
	$(FT) massb_perturb_mois_lapsecouche.f90

massb-GrIce2sea_fixe.o : GrIce2sea_files/massb-GrIce2sea_fixe.f90
	$(FT) GrIce2sea_files/massb-GrIce2sea_fixe.f90

massb-GrIce2sea_RCM.o : GrIce2sea_files/massb-GrIce2sea_RCM.f90
	$(FT) GrIce2sea_files/massb-GrIce2sea_RCM.f90

minmax-format.o : minmax-format.f90
	$(FT) minmax-format.f90

mix-SIA-L1_mod.o : mix-SIA-L1_mod.f90
	$(FT) mix-SIA-L1_mod.f90

moy_mxmy_shift.o : moy_mxmy_shift.f90
	$(FT) moy_mxmy_shift.f90

moy_mxmy.o : moy_mxmy.f90
	$(FT) moy_mxmy.f90

neffect-0.3.o : neffect-0.3.f90 #module3d.mod
	$(FT) neffect-0.3.f90

neffect-0.4.o : neffect-0.4.f90 #module3d.mod
	$(FT) neffect-0.4.f90

new-flot-0.3.o : new-flot-0.3.f90#module3d.mod
	$(FT) new-flot-0.3.f90

next-time.o : next-time.f90
	$(FT) next-time.f90

#plotoutput.o : plotoutput.f#module3d.mod
#	$(FT) plotoutput.f

printdebug.o : printdebug.f90 #module3d.mod
	$(FT) printdebug.f90

remplimat-ant-0.5-40km.o : remplimat-ant-0.5-40km.f90 #module3d.mod eq_elliptique_mod.mod
	$(FT) remplimat-ant-0.5-40km.f90

sealevel-out.o : sealevel-out.f90#module3d.mod
	$(FT) sealevel-out.f90

snaptime.o : snaptime.f90
	$(FT) snaptime.f90

sortie-hz-multivar.o : sortie-hz-multivar.f90
	$(FT) sortie-hz-multivar.f90

strain_rate.o : strain_rate.f90#module3d.mod
	$(FT) strain_rate.f90	

surface-0.3.o : surface-0.3.f90#module3d.mod
	$(FT) surface-0.3.f90

slope_surf.o : slope_surf.f90
	$(FT) slope_surf.f90

tab-litho-0.3.o : tab-litho-0.3.f90#module3d.mod iso_declar.mod
	$(FT) tab-litho-0.3.f90

taubed-0.3.o : taubed-0.3.f90#module3d.mod iso_declar.mod
	$(FT) taubed-0.3.f90

#ts-output-0.2.o : ts-output-0.2.f                    
#	$(FT) ts-output-0.2.f

velocities-polyn-0.3.o : velocities-polyn-0.3.f90     #module3d.mod
	$(FT) velocities-polyn-0.3.f90

vtoutput-0.2.o : vtoutput-0.2.f#module3d.mod
	$(FT) vtoutput-0.2.f

# Routines Hudson :

paradim-hudson_mod.o : Hudson_files/paradim-hudson_mod.f90
	$(FT)  Hudson_files/paradim-hudson_mod.f90

geography-hudson_mod.o : Hudson_files/geography-hudson_mod.f90
	$(FT)  Hudson_files/geography-hudson_mod.f90

sedim_declar_hudson_mod.o : Hudson_files/sedim_declar_hudson_mod.f90
	$(FT)  Hudson_files/sedim_declar_hudson_mod.f90

eaubasale-0.5_hudson_mod.o : Hudson_files/eaubasale-0.5_hudson_mod.f90
	$(FT)  Hudson_files/eaubasale-0.5_hudson_mod.f90

climat-hudson_mod.o : Hudson_files/climat-hudson_mod.f90
	$(FT)  Hudson_files/climat-hudson_mod.f90

lect-hudson_mod.o : Hudson_files/lect-hudson_mod.f90
	$(FT)  Hudson_files/lect-hudson_mod.f90

fake-routines-hudson_mod.o : Hudson_files/fake-routines-hudson_mod.f90
	$(FT)  Hudson_files/fake-routines-hudson_mod.f90

prop-therm-hudson_mod.o : Hudson_files/prop-therm-hudson_mod.f90
	$(FT)  Hudson_files/prop-therm-hudson_mod.f90

sliding-hudson_mod.o : Hudson_files/sliding-hudson_mod.f90
	$(FT)  Hudson_files/sliding-hudson_mod.f90

fake-dragging-hudson_mod.o : Hudson_files/fake-dragging-hudson_mod.f90
	$(FT)  Hudson_files/fake-dragging-hudson_mod.f90

dragging_hudson_jorge_mod.o : Hudson_files/dragging_hudson_jorge_mod.f90
	$(FT)  Hudson_files/dragging_hudson_jorge_mod.f90

dragging-hudson_mod.o : Hudson_files/dragging-hudson_mod.f90
	$(FT)  Hudson_files/dragging-hudson_mod.f90

dragging_hwatermax_hudson_mod.o : Hudson_files/dragging_hwatermax_hudson_mod.f90
	$(FT)  Hudson_files/dragging_hwatermax_hudson_mod.f90

bmelt_hudson_mod.o : Hudson_files/bmelt_hudson_mod.f90
	$(FT)  Hudson_files/bmelt_hudson_mod.f90

initial-hudson-phy.o : Hudson_files/initial-hudson-phy.f90
	$(FT)  Hudson_files/initial-hudson-phy.f90

output_hudson_mod.o : Hudson_files/output_hudson_mod.f90
	$(FT)  Hudson_files/output_hudson_mod.f90

module_choix-hudson-0.4.o : Hudson_files/module_choix-hudson-0.4.f90
	$(FT)  Hudson_files/module_choix-hudson-0.4.f90

track_hudson_mod.o : Hudson_files/track_hudson_mod.f90
	$(FT) Hudson_files/track_hudson_mod.f90


# Routines Hemin-40 :


paradim-hemin40_mod.o : Hemin40_files/paradim-hemin40_mod.f90
	$(FT) Hemin40_files/paradim-hemin40_mod.f90

geography-hemin40_mod.o : Hemin40_files/geography-hemin40_mod.f90
	$(FT) Hemin40_files/geography-hemin40_mod.f90

output_hemin40_mod.o : Hemin40_files/output_hemin40_mod.f90
	$(FT) Hemin40_files/output_hemin40_mod.f90

lect-hemin40_mod.o : Hemin40_files/lect-hemin40_mod.f90
	$(FT) Hemin40_files/lect-hemin40_mod.f90

bmelt-hemin40-regions_mod.o : Hemin40_files/bmelt-hemin40-regions_mod.f90
	$(FT) Hemin40_files/bmelt-hemin40-regions_mod.f90

bmelt-hemin40-depth_mod.o : Hemin40_files/bmelt-hemin40-depth_mod.f90
	$(FT) Hemin40_files/bmelt-hemin40-depth_mod.f90

fake-routines-hemin40_mod.o : Hemin40_files/fake-routines-hemin40_mod.f90
	$(FT) Hemin40_files/fake-routines-hemin40_mod.f90

module_choix-hemin40-0.4.o : Hemin40_files/module_choix-hemin40-0.4.f90
	$(FT) Hemin40_files/module_choix-hemin40-0.4.f90

track_hemin40_mod.o : Hemin40_files/track_hemin40_mod.f90
	$(FT) Hemin40_files/track_hemin40_mod.f90

# Routines Hemin-15 :

paradim-hemin15_mod.o : Hemin15_files/paradim-hemin15_mod.f90
	$(FT) Hemin15_files/paradim-hemin15_mod.f90

geography-hemin15_mod.o : Hemin15_files/geography-hemin15_mod.f90
	$(FT) Hemin15_files/geography-hemin15_mod.f90

lect-hemin15_mod.o : Hemin15_files/lect-hemin15_mod.f90
	$(FT) Hemin15_files/lect-hemin15_mod.f90

fake-routines-hemin15_mod.o : Hemin15_files/fake-routines-hemin15_mod.f90
	$(FT) Hemin15_files/fake-routines-hemin15_mod.f90

module_choix-hemin15.o : Hemin15_files/module_choix-hemin15.f90
	$(FT) Hemin15_files/module_choix-hemin15.f90

track_hemin15_mod.o : Hemin15_files/track_hemin15_mod.f90
	$(FT) Hemin15_files/track_hemin15_mod.f90

# routines Eurasie-40


output_eurasie40_mod-0.1.o : Eurasie40_files/output_eurasie40_mod-0.1.f90
	$(FT) Eurasie40_files/output_eurasie40_mod-0.1.f90

lect-clim-act-eurasie_mod.o : Eurasie40_files/lect-clim-act-eurasie_mod.f90
	$(FT) Eurasie40_files/lect-clim-act-eurasie_mod.f90

climat-forcage-eurasie_mod-0.4.o : Eurasie40_files/climat-forcage-eurasie_mod-0.4.f90
	$(FT) Eurasie40_files/climat-forcage-eurasie_mod-0.4.f90

fake-routines-eurasie_mod.o : Eurasie40_files/fake-routines-eurasie_mod.f90
	$(FT) Eurasie40_files/fake-routines-eurasie_mod.f90

module_choix-eurasie-0.4.o : Eurasie40_files/module_choix-eurasie-0.4.f90
	$(FT) Eurasie40_files/module_choix-eurasie-0.4.f90

track_eurasie_mod.o : Eurasie40_files/track_eurasie_mod.f90
	$(FT) Eurasie40_files/track_eurasie_mod.f90


# routines greenmint-40


# Routines Temperature

icetemp_declar_mod.o : Temperature-routines/icetemp_declar_mod.f90
	$(FT) Temperature-routines/icetemp_declar_mod.f90

advec_icetemp.o :  Temperature-routines/advec_icetemp.f90
	$(FT) Temperature-routines/advec_icetemp.f90

icetemp_mod.o :  Temperature-routines/icetemp_mod.f90
	$(FT) Temperature-routines/icetemp_mod.f90

prop_th_icetemp.o:  Temperature-routines/prop_th_icetemp.f90
	$(FT) Temperature-routines/prop_th_icetemp.f90

Qprod_icetemp.o:  Temperature-routines/Qprod_icetemp.f90
	$(FT) Temperature-routines/Qprod_icetemp.f90

temp_col.o :  Temperature-routines/temp_col.f90
	$(FT) Temperature-routines/temp_col.f90

# Routines Agrif

#open_file.o : open_file.f90
#	$(FT) open_file.f90

step.o : step.f90
	$(F_NETCDF) step.f90

steps_time_loop.o : steps_time_loop.f90
	$(F_NETCDF) steps_time_loop.f90

steps_time_loop_avec_iterbeta.o : steps_time_loop_avec_iterbeta.f90
	$(F_NETCDF) steps_time_loop_avec_iterbeta.f90

# nouvelles routines resolution equation elliptique

remplimat_declar_tabTu_mod.o : New-remplimat/remplimat_declar_tabTu_mod.f90
	$(FT) New-remplimat/remplimat_declar_tabTu_mod.f90

diagno-L2_mod.o : New-remplimat/diagno-L2_mod.f90
	$(FT) New-remplimat/diagno-L2_mod.f90

fake_diagno_mod.o : New-remplimat/fake_diagno_mod.f90
	$(FT) New-remplimat/fake_diagno_mod.f90

remplimat-shelves-tabTu.o : New-remplimat/remplimat-shelves-tabTu.f90
	$(FT) New-remplimat/remplimat-shelves-tabTu.f90

eq_ellipt_sgbsv_mod-0.2.o : New-remplimat/eq_ellipt_sgbsv_mod-0.2.f90
	$(FT) New-remplimat/eq_ellipt_sgbsv_mod-0.2.f90

graphique_L2.o : New-remplimat/graphique_L2.f90
	$(FT) New-remplimat/graphique_L2.f90

graph-sgbsv.o : New-remplimat/graph-sgbsv.f90
	$(FT) New-remplimat/graph-sgbsv.f90

# LAPACK
reduc.o : LAPACK/reduc.f
	$(FT) $(F_90) LAPACK/reduc.f

band.o: LAPACK/band.f
	$(FT) $(F_90) LAPACK/band.f

#BLAS
isamax.o : BLAS/isamax.f
	$(FT)  BLAS/isamax.f
lsame.o : BLAS/lsame.f
	$(FT) BLAS/lsame.f
scopy.o: BLAS/scopy.f
	$(FT) BLAS/scopy.f
slamch.o: BLAS/slamch.f
	$(FT) BLAS/slamch.f
slabad.o: BLAS/slabad.f
	$(FT) BLAS/slabad.f
slange.o: BLAS/slange.f
	$(FT) BLAS/slange.f
slassq.o: BLAS/slassq.f
	$(FT) BLAS/slassq.f
sgeqrf.o: BLAS/sgeqrf.f
	$(FT) BLAS/sgeqrf.f
sormqr.o: BLAS/sormqr.f
	$(FT) BLAS/sormqr.f
strmv.o: BLAS/strmv.f
	$(FT) BLAS/strmv.f
slarft.o: BLAS/slarft.f
	$(FT) BLAS/slarft.f
ilaslr.o: BLAS/ilaslr.f
	$(FT) BLAS/ilaslr.f
ilaslc.o: BLAS/ilaslc.f
	$(FT) BLAS/ilaslc.f
strmm.o: BLAS/strmm.f
	$(FT) BLAS/strmm.f
slarfb.o: BLAS/slarfb.f
	$(FT) BLAS/slarfb.f
slapy2.o: BLAS/slapy2.f
	$(FT) BLAS/slapy2.f
slarfg.o: BLAS/slarfg.f
	$(FT) BLAS/slarfg.f
slarf.o: BLAS/slarf.f
	$(FT) BLAS/slarf.f
sgeqr2.o: BLAS/sgeqr2.f
	$(FT) BLAS/sgeqr2.f
saxpy.o: BLAS/saxpy.f
	$(FT) BLAS/saxpy.f
slarz.o: BLAS/slarz.f
	$(FT) BLAS/slarz.f
sorm2r.o: BLAS/sorm2r.f
	$(FT) BLAS/sorm2r.f
snrm2.o: BLAS/snrm2.f
	$(FT) BLAS/snrm2.f
slaqps.o: BLAS/slaqps.f
	$(FT) BLAS/slaqps.f
slaqp2.o: BLAS/slaqp2.f
	$(FT) BLAS/slaqp2.f
sgeqp3.o: BLAS/sgeqp3.f
	$(FT) BLAS/sgeqp3.f
slaset.o: BLAS/slaset.f
	$(FT) BLAS/slaset.f
slaisnan.o: BLAS/slaisnan.f
	$(FT) BLAS/slaisnan.f
sisnan.o: BLAS/sisnan.f
	$(FT) BLAS/sisnan.f
slascl.o: BLAS/slascl.f
	$(FT) BLAS/slascl.f
sdot.o: BLAS/sdot.f
	$(FT) BLAS/sdot.f
slaic1.o: BLAS/slaic1.f
	$(FT) BLAS/slaic1.f
slarzb.o: BLAS/slarzb.f
	$(FT) BLAS/slarzb.f
slarzt.o: BLAS/slarzt.f
	$(FT) BLAs/slarzt.f
sormr3.o: BLAS/sormr3.f
	$(FT) BLAS/sormr3.f
sormrz.o: BLAS/sormrz.f
	$(FT) BLAS/sormrz.f
slatrz.o: BLAS/slatrz.f
	$(FT) BLAS/slatrz.f
stzrzf.o: BLAS/stzrzf.f
	$(FT) BLAS/stzrzf.f
sgelsy.o: BLAS/sgelsy.f
	$(FT) BLAS/sgelsy.f
sgbmv.o: BLAS/sgbmv.f
	$(FT) BLAS/sgbmv.f
sgemm.o: BLAS/sgemm.f
	$(FT) BLAS/sgemm.f
sgemv.o: BLAS/sgemv.f
	$(FT) BLAS/sgemv.f
sger.o: BLAS/sger.f
	$(FT) BLAS/sger.f
sscal.o: BLAS/sscal.f
	$(FT) BLAS/sscal.f
sswap.o: BLAS/sswap.f
	$(FT) BLAS/sswap.f
stbsv.o: BLAS/stbsv.f
	$(FT) BLAS/stbsv.f
strsm.o: BLAS/strsm.f
	$(FT) BLAS/strsm.f
xerbla.o: BLAS/xerbla.f
	$(FT) BLAS/xerbla.f

# routines netcdf



io_netcdf.o: Netcdf-routines/io_netcdf.f90 
	$(F_NETCDF) Netcdf-routines/io_netcdf.f90 

sortie_netcdf_GRISLI_mod.0.2.o : Netcdf-routines/sortie_netcdf_GRISLI_mod.0.2.f90
	$(F_NETCDF) Netcdf-routines/sortie_netcdf_GRISLI_mod.0.2.f90

# Hassine
io_netcdf_GRISLI.o: Netcdf-routines/io_netcdf_GRISLI.f90 
	$(F_NETCDF) Netcdf-routines/io_netcdf_GRISLI.f90 

sortie_netcdf_GRISLI_mod.0.2-hassine.o : Netcdf-routines/sortie_netcdf_GRISLI_mod.0.2-hassine.f90
	$(F_NETCDF) Netcdf-routines/sortie_netcdf_GRISLI_mod.0.2-hassine.f90

readinput.o: readinput.f90 
	$(F_NETCDF) readinput.f90 

interface_input.o: interface_input.f90
	$(FT) interface_input.f90


# routines et modules recul de ligne d'echouage ice2sea

proto_declar_3D_grisli_mod.o : Recul_force_grounding_line/proto_declar_3D_grisli_mod.f90
	$(FT) Recul_force_grounding_line/proto_declar_3D_grisli_mod.f90

declar_proto_recul.o : Recul_force_grounding_line/declar_proto_recul.f90
	$(FT) Recul_force_grounding_line/declar_proto_recul.f90

proto_recul_mod.o : Recul_force_grounding_line/proto_recul_mod.f90
	$(FT) Recul_force_grounding_line/proto_recul_mod.f90

declar_io_ncdf_proto_mod.o : Recul_force_grounding_line/declar_io_ncdf_proto_mod.f90
	$(FT) Recul_force_grounding_line/declar_io_ncdf_proto_mod.f90

#	$(FT) -I$(NDC_INC) Netcdf-routines/sortie_netcdf_GRISLI_mod.f90


# routines et modules recul de ligne d'echouage ice2sea version toy (finale)

toy_declar_3D_grisli_mod.o : Recul_force_grounding_line/toy_declar_3D_grisli_mod.f90
	$(FT) Recul_force_grounding_line/toy_declar_3D_grisli_mod.f90

declar_io_ncdf_toy_mod_fake.o : Recul_force_grounding_line/declar_io_ncdf_toy_mod_fake.f90
	$(FT) Recul_force_grounding_line/declar_io_ncdf_toy_mod_fake.f90

declar_toy_retreat.o : Recul_force_grounding_line/declar_toy_retreat.f90
	$(FT) Recul_force_grounding_line/declar_toy_retreat.f90

toy_retreat_mod.o  : Recul_force_grounding_line/toy_retreat_mod.f90
	$(F_NETCDF) Recul_force_grounding_line/toy_retreat_mod.f90




# Liens et Construction des executables
#---------------------------------------
#       $(mod_clim_forcage) \ a mettre a la place de mod_clim_perturb eventuellement


LBqAntar15 : $(Dim_ANT15-LBq) $(mod_dim_communs)  \
	$(Proto_recul)  \
	$(mod_communs) \
	$(Proto_recul)  \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_ANT15-LBq) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) 

	$(LK) -o ../bin/LBqAntar-15  $(Dim_ANT15-LBq) $(mod_dim_communs) \
	$(Proto_recul)  \
	$(mod_communs) \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) \
	$(Liste_ANT15-LBq) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Recul_ice2sea : $(Dim_ANT15-LBq) $(mod_dim_communs)  \
	$(toy_recul) \
	$(mod_communs_RGL) \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_ANT15-LBq) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes)steps_time_loop.o  $(routine_elliptiques) 

	$(LK) -o ../bin/recul_gl  $(Dim_ANT15-LBq) $(mod_dim_communs) \
	$(toy_recul) \
	$(mod_communs_RGL) \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) \
	$(Liste_ANT15-LBq) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)


Mismip3D_5 : $(Dim_Mismip_3D_5)	 $(mod_dim_communs)  $(mod_communs) \
	$(mod_ell) $(Liste_mismip_3D_5) \
	$(Liste_Netcdf) $(Liste_mismip_post_ncdf) \
	$(diagnoshelf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) 

	$(LK) -o ../bin/mismip3D  $(Dim_Mismip_3D_5)  \
	$(mod_dim_communs) fake-routines-mismip3d_mod.o $(mod_communs) \
	$(mod_ell)  $(Liste_mismip_3D_5) \
	$(Liste_Netcdf) $(Liste_mismip_post_ncdf) $(diagnoshelf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Grice2sea : $(Dim_GrIce2sea) $(mod_dim_communs)   \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) 

	$(LK) -o ../bin/Grice2sea \
	$(Dim_GrIce2sea) $(mod_dim_communs)  \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Grice2sea_iterbeta : $(Dim_GrIce2sea) $(mod_dim_communs)   \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) 

	$(LK) -o ../bin/Grice2sea_iterbeta \
	$(Dim_GrIce2sea) $(mod_dim_communs)  \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Hemin-40 : $(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Hemin-40 \
	$(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(Liste_BLAS)

	ar -cvr libgrisli.a $(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS) *.mod

Hemin-15 : $(Dim_hemin15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques)

	$(LK) -o  ../bin/Hemin-15 \
	$(Dim_hemin15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Greeneem15 : $(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) 

	$(LK) -o ../bin/Greeneem15 \
	$(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Ant-40 : $(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Ant-40 \
	$(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB) $(Liste_BLAS)



# attention : dans les geometries suivantes la liste module climat n'est pas donnee

Hudson : $(Dim_hudson) $(mod_dim_communs) $(mod_communs)  $(mod_ell) $(Liste_hudson) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques)  
	$(LK) -o ../bin/Hudson 	$(Dim_hudson) $(mod_dim_communs) $(mod_communs) $(mod_ell) $(Liste_hudson) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB)

#Hemin-40 : $(Dim_hemin40) $(mod_dim_communs) $(mod_communs)  $(mod_ell)  $(Liste_hemin40) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques)  

#	$(LK) -o  ../bin/Hemin-40  $(Dim_hemin40) $(mod_dim_communs) $(mod_communs) \
#	$(mod_ell)  $(Liste_hemin40) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Heminord : $(Liste_heminord) $(Liste_commune) $(Liste_BLAS)
	$(LK) -o Heminord $(Liste_heminord) $(Liste_commune) $(Liste_BLAS)


Eura-40 :  $(Dim_eura40) $(mod_dim_communs) $(mod_communs)  $(mod_ell)  $(Liste_eura40) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques) 

	$(LK) -o  ../bin/Eura-40  $(Dim_eura40) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell)  $(Liste_eura40) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Greenmint40 : $(Dim_greenmint40) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_greenmint40) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Greenmint40 $(Dim_greenmint40) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_greenmint40) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)

Greeneem45 : $(Dim_greeneem45) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_greeneem45) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Greeneem45 $(Dim_greeneem45) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_greeneem45) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)

Greeneem05 : $(Dim_greeneem05) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_greeneem05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Greeneem05 $(Dim_greeneem05) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_greeneem05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)


Gsearise15 : $(Dim_gsearise15) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_gsearise15) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Gsearise15 $(Dim_gsearise15) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_gsearise15) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)


Gsearise05 : $(Dim_gsearise05) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_gsearise05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Gsearise05 $(Dim_gsearise05) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_gsearise05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)




clean	:
	rm -f *.o *.mod *~  */*~ BLAS/*.o LAPACK/*.o libgrisli.a









# geographies obsoletes

# listes

#Liste_Antar15_CISM = lect-Ant_clim_CISM_gen_dat.o output_anta_mod-0.4.o \
#	dragging-vit_bil_CISM_gen_mod.o fake-routines-ant_mod.o \
#	lect-Ant_CISM_gen_dat.o module_choix_antar15CISM.o \
#	massb-ant_forcage-0.4.o massb-ant_perturb_Tparam.o track_ant40_mod.o 

#Liste_Antar20_CISM = lect-Ant_clim_CISM_gen_dat.o output_anta_mod-0.4.o \
#	dragging-vit_bil_CISM_gen_mod.o fake-routines-ant_mod.o \
#	lect-Ant_CISM_gen_dat.o module_choix_antar20CISM.o \
#	massb-ant_forcage-0.4.o massb-ant_perturb_Tparam.o track_ant40_mod.o 

#Liste_Antar25_CISM = lect-Ant_clim_CISM_gen_dat.o output_anta_mod-0.4.o \
#	dragging-vit_bil_CISM_gen_mod.o fake-routines-ant_mod.o \
#	lect-Ant_CISM_gen_dat.o module_choix_antar25CISM.o \
#	massb-ant_forcage-0.4.o massb-ant_perturb_Tparam.o track_ant40_mod.o 

#Liste_Antar45_CISM = lect-Ant_clim_CISM_45_dat.o output_anta_mod-0.4.o \
#	dragging-vit_bil_CISM_45_mod.o fake-routines-ant_mod.o \
#	lect-Ant_CISM_45_dat.o module_choix_antar45CISM.o \
#	massb-ant_forcage-0.4.o massb-ant_perturb_Tparam.o track_ant40_mod.o 

#Liste_HEINO = climat-heino_mod.o lect-Heino_mod.o  \
#	fake-routines-Heino_mod.o  detect-assym.o  \
#	prop-therm-Heino_mod.o  sliding-Heino_mod.o \
#	initial-heino-phy.o  output_heino_mod.o \
#	module_choix-heino-0.4.o  track_heino_mod.o

#Antar20 : $(Dim_Antar20_CISM) $(mod_dim_communs) $(mod_communs) $(mod_ell) $(Liste_Antar20_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) 

#	$(LK) -o ../bin/Antar-20  $(Dim_Antar20_CISM) $(mod_dim_communs) $(mod_communs) \
#	 $(mod_ell) $(Liste_Antar20_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB)

#Antar25 : $(Dim_Antar25_CISM) $(mod_dim_communs) $(mod_communs) $(mod_ell) $(Liste_Antar25_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) 

#	$(LK) -o ../bin/Antar-25  $(Dim_Antar25_CISM) $(mod_dim_communs) $(mod_communs) $(mod_ell) \
#	$(Liste_Antar25_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

#Antar25-181 : $(Dim_Antar25_CISM) $(mod_dim_communs) $(mod_communs) $(mod_ell) $(Liste_Antar25_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) 

#	$(LK) -o ../bin-pc181/Antar-pc181  $(Dim_Antar25_CISM) $(mod_dim_communs) $(mod_communs) \
#	$(mod_ell) $(Liste_Antar25_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)


#Antar45 : $(Dim_Antar45_CISM) $(mod_dim_communs) $(mod_communs) $(mod_ell) $(Liste_Antar45_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) 

#	$(LK) -o ../bin/Antar-45  $(Dim_Antar45_CISM)  $(mod_communs) $(mod_ell) $(Liste_Antar45_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

#Liste_Antar_old =  bmelt-ant-regions_mod.o \
#	lect-clim-act-anteis_mod.o  output_anta_mod-0.4.o \
#	dragging_stream_impose_vitbil_mod.o  \
#	fake-routines-ant_mod.o  lect-anteis_mod.o \
#	module_choix-antar40-0.4_old.o massb-ant_forcage-0.4.o massb-ant_perturb-0.4.o \
#	track_ant40_mod.o

#Liste_Antar40 =  bmelt-ant-regions_mod.o \
#	lect-clim-act-anteis_mod.o  output_anta_mod-0.4.o \
#	dragging_stream_impose_vitbil_mod.o  \
#	fake-routines-ant_mod.o  lect-anteis_mod.o \
#	module_choix-antar40-0.4.o massb-ant_forcage-0.4.o massb-ant_perturb_Tparam.o \
#	track_ant40_mod.o

# listes de dimensionnement obsoletes

# Dim_Antar40 = paradim-ant40_mod.o geography-ant40_mod.o
# Dim_Antar15_CISM = paradim-ant15_CISM_mod.o geography-Ant15CISM.o
# Dim_Antar20_CISM = paradim-ant20_CISM_mod.o geography-Ant20CISM.o
# Dim_Antar25_CISM = paradim-ant25_CISM_mod.o geography-Ant25CISM.o
# Dim_Antar45_CISM = paradim-ant45_CISM_mod.o geography-Ant45CISM.o
# Dim_heino = paradim-Heino_mod.o geography-heino_mod.o


# ancienne version diagnoshelf: obsolete, il faut aussi modifier le module choix

#mod_ell_old = eq_elliptique_mod-0.4.o 
#routine_elliptiques_old =  remplimat-ant-0.5-40km.o
#diagnoshelf_old = diagno-ant-0.6_mod.o


# Routines obsoletes

#icetemp-0.4.o : icetemp-0.4.f90   #module3d.mod tridiagmod.mod
#	$(FT) icetemp-0.4.f90

#icetemp-0.5_mod.o : icetemp-0.5_mod.f90
#	$(FT) icetemp-0.5_mod.f90

#icethick-ant-0.5.o : icethick-ant-0.5.f90  #module3d.mod relaxation_mod.mod
#	$(FT) icethick-ant-0.5.f90

#deform_declar_mod-0.3.o : deform_declar_mod-0.3.f90
#	$(FT) deform_declar_mod-0.3.f90


#-------------lecture des fichiers Climat obsoletes

#lect-clim-act-anteis_mod.o : Ant40_files/lect-clim-act-anteis_mod.f90
#	$(FT) Ant40_files/lect-clim-act-anteis_mod.f90

#lect-Ant_clim_CISM_gen_dat.o : Antarctique_general_files/lect-Ant_clim_CISM_gen_dat.f90
#	$(FT)  Antarctique_general_files/lect-Ant_clim_CISM_gen_dat.f90

#lect-Ant_clim_CISM_15_dat.o : Ant15_CISM_files/lect-Ant_clim_CISM_15_dat.f90
#	$(FT)  Ant15_CISM_files/lect-Ant_clim_CISM_15_dat.f90

#lect-Ant_clim_CISM_45_dat.o : Ant45_CISM_files/lect-Ant_clim_CISM_45_dat.f90
#	$(FT)  Ant45_CISM_files/lect-Ant_clim_CISM_45_dat.f90

#massb-ant_forcage-0.4.o : Ant40_files/massb-ant_forcage-0.4.f
#	$(FT) Ant40_files/massb-ant_forcage-0.4.f

# ancienne methode netcdf
#sortie_netcdf_GRISLI_mod.o : Netcdf-routines/sortie_netcdf_GRISLI_mod.f90
#	$(FT)  Netcdf-routines/sortie_netcdf_GRISLI_mod.f90





# Liens


#Heino :	$(Dim_heino) $(mod_dim_communs) $(mod_communs)  $(Liste_HEINO) $(Liste_Netcdf) \
#	$(routines_communes) $(Liste_BLAS)  
# 	$(LK) -o Heino 	$(Dim_heino) $(mod_dim_communs) $(mod_communs) $(Liste_HEINO) \
#	$(Liste_Netcdf) \
#	$(routines_communes) $(Liste_BLAS) $(NCDF_LIB) 

#Antar-40 : $(Dim_Antar40) $(mod_dim_communs) $(mod_communs) $(mod_ell)  $(Liste_Antar40) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques)  

#	$(LK) -o  ../bin/Antar-40  $(Dim_Antar40) $(mod_dim_communs) $(mod_communs) $(mod_ell)  $(Liste_Antar40) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

#Antar15 : $(Dim_Antar15_CISM) $(mod_dim_communs) $(mod_communs) $(mod_ell) $(Liste_Antar15_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) 

#	$(LK) -o ../bin/Antar-15  $(Dim_Antar15_CISM) $(mod_dim_communs) $(mod_communs) $(mod_ell) \
#	$(Liste_Antar15_CISM) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)


#Antar_old : $(Dim_Antar40) $(mod_dim_communs) $(mod_communs)  $(mod_ell_old)  \
#	$(Liste_Antar_old) $(diagnoshelf_old) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques_old)  

#	$(LK) -o  ../bin/Antar_old  $(Dim_Antar40) $(mod_dim_communs) $(mod_communs) \
#	$(mod_ell_old)  $(Liste_Antar_old) \
#	$(diagnoshelf_old) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques_old) $(NCDF_LIB)  $(MKL_LIB)
