! sorties netcdf avec les memes numeros de variables que les sorties hz

module sorties_ncdf_grisli
USE netcdf
use io_netcdf

USE module3D_phy
USE module_choix
 
implicit none
character(len=100) ::  fil_sortie               ! nom du fichier de sortie


character(20) charint                          ! character de la tranche de temps dans le netcdf
integer,parameter :: nnc=100
integer :: status                              ! erreur operations ouvertures .... netcdf
integer :: ncid                                ! numero unite
integer :: itab                                ! numero de tableau
integer :: ilin                                ! numero dans la liste de lecture
integer :: ntab                                ! nombre de tableaux
real :: dtncdf                              ! pas de temps des sorties
integer :: cdftest                             ! pour dclancher une sortie netcdf

! pour limiter le nombre de snapshots par fichier a nsnap_max, on numerote les archives netcdf
! au fur et a mesure des besoins
integer :: num_ncdf_file=0                     ! numero des fichiers netcdf   
integer :: nbsnap                              ! numero du snapshot dans le fichier
integer :: nbsnap_max=60                       ! nb max de snapshots par fichier 
character(len=3) :: numero
character(len=80) :: basename

real*8, dimension(:,:), pointer :: tab         ! tableau 2d ecrit dans le fichier
real*8, dimension(:,:,:), pointer :: tab1      ! tableau 3d

! pour lectures des variables a ecrire
character(len=20),dimension(nnc) :: namevar    ! nom de la variable
character(len=20),dimension(nnc) :: name_file_var  ! nom du fichier
integer,dimension(nnc) :: ivar_nc                 ! tableau qui contient les itab


character(len=20),dimension(2) :: dimnames     ! dimensions pour netcdf pour tableau 2d
character(len=20),dimension(3) :: dimnames1    ! pour 3d
character(len=20) :: name

! pour les variables debug
integer :: i_debug

integer :: num_init_nc=0                       ! numero de l'initialisation init_sortie                             

contains
!----------------------------------------------------------
subroutine init_sortie_ncdf

implicit none
integer :: l
integer i1,i2
character(len=20) :: name1
character(len=20) :: name2

! lecture des parametres netdcdf
namelist/netcdf/dtncdf

if (itracebug.eq.1)  call tracebug(' Entree dans routine init_sortie_ncdf')

rewind(10)        ! pour revenir au debut du fichier param_list.dat
read(10,netcdf)


! formats pour les ecritures dans 42
428 format(A)

if (num_init_nc.eq.0) then       ! ecriture dans le fichier param

write(42,428)'!___________________________________________________________'  
write(42,428) '&netcdf                 ! bloc netcdf'
write(42,*)
write(42,*) 'dtncdf    = ',dtncdf
write(42,*)'/'                           
write(42,428)'! dtncdf espace en temps entre les sorties ' 
write(42,*)

num_init_nc=1                 ! pour ne faire cette ecriture qu'une seule fois
endif

! numerote le fichier sortie
num_ncdf_file=num_ncdf_file+1
nbsnap=0
! lecture des nom des tableaux  sortir en Netcdf
open(72,file='../'//trim(dirsource)//'/Netdcf-routines/LISTE_tab_ncdf-new.dat')
do l=1,5    ! saut des lignes du dbut'
   read(72,*)
end do

ilin=0
do l=1,200   ! il peut y avoir plus de lignes dans le fichier que la dimension
             ! puisque certaines lignes ne sont pas actives
   read(72,*,end=200) i1,i2,name1,name2
   if (i2.eq.1) then            ! cette variable sera traitee
      ilin=ilin+1
      ivar_nc(ilin)=i1
      name_file_var(ilin)=name1
      namevar(ilin)=name2

   end if
   if (ilin.eq.nnc) exit
end do
200 ntab=ilin
close(72)

! if (present(iopen) ) then   ! seulement si le parametre est passe en argument

! numerotation pour le nom de fichier
write(numero,'(i3.3)') num_ncdf_file
basename=TRIM(DIRNAMEOUT)//'Netcdf-Resu/'//runname//'_'//numero//'_'

variable : do l=1,ntab
   itab=ivar_nc(l)

   fil_sortie=trim(basename)//trim(name_file_var(l))//'.nc'

!   fil_sortie=TRIM(DIRNAMEOUT)//'Netcdf-Resu/sortie_'//trim(name_file_var(l))//'.nc'

status  = nf90_create(TRIM(fil_sortie),NF90_WRITE,ncid)    ! ouverture du fichier
status  = nf90_close(ncid)                                 ! fermeture

call write_ncdf_dim('x',trim(fil_sortie),nx)               ! dimensions des tableaux
call write_ncdf_dim('y',trim(fil_sortie),ny) 
call write_ncdf_dim('time',trim(fil_sortie),0)
  

end do variable



! ecriture d'un tableau tab 2D
   dimnames(1)='x'
   dimnames(2)='y'

end subroutine init_sortie_ncdf


!---------------------------------------------------------------------------------
subroutine sortie_ncdf_cat
    

implicit none


 real (kind=kind(0.d0)) ::  TIMEtmp
 character(len=20) :: nametmp


if (itracebug.eq.1)  call tracebug(' Entree dans routine  sortie_netcdf_cat')      
nbsnap=nbsnap+1
if (nbsnap.ge.nbsnap_max) call  init_sortie_ncdf

! New version of Netcdf output in order to be compatible with 
!    ferret conventions

if ( time .LE. 0. ) then
   timetmp = -time
   nametmp = 'p_'
else
   timetmp = time
   nametmp = 'f_'
endif

write(charint,'(i0)') floor(timetmp)
nametmp = TRIM(nametmp)//TRIM(charint)//'_'
timetmp = 100.*(timetmp - floor(timetmp))
write(charint,'(i0)') floor(timetmp)
nametmp = TRIM(nametmp)//TRIM(charint)

!commentaire cytise write(charint,'(f0.3)') time 

! bloc pour ecrire un tableau
!----------------------------
! numerotation pour le nom de fichier
write(numero,'(i3.3)') num_ncdf_file
basename=TRIM(DIRNAMEOUT)//'Netcdf-Resu/'//runname//'_'//numero//'_'

boucle_var: do l=1,ntab
   itab=ivar_nc(l)
!   fil_sortie=TRIM(DIRNAMEOUT)//'Netcdf-Resu/sortie_'//trim(name_file_var(l))//'.nc'
   fil_sortie=trim(basename)//trim(name_file_var(l))//'.nc'

   ALLOCATE(tab(nx,ny))

! les numeros dans ces tests doivent correspondre
!  au premier numero de chaque ligne de LISTE_tab_ncdf.dat

if (itab.eq.1) tab(:,:) = S(:,:)
if (itab.eq.2) tab(:,:) = H(:,:)
if (itab.eq.3) tab(:,:) = Bsoc(:,:)
if (itab.eq.4) tab(:,:) = mk(:,:)
if (itab.eq.5) tab(:,:) = hdot(:,:)
if (itab.eq.6) tab(:,:) = S(:,:)-S0(:,:)
if (itab.eq.7) tab(:,:) = B(:,:)
if (itab.eq.8) tab(:,:) = socle_cry(:,:)
if (itab.eq.10) tab(:,:) = Bm(:,:)
if (itab.eq.11) tab(:,:) = Acc(:,:)
if (itab.eq.12) tab(:,:) = BM(:,:)-Acc(:,:)
if (itab.eq.13) tab(:,:) = Calv(:,:)
if (itab.eq.14) tab(:,:) = dhdt(:,:)

if (itab.eq.15) tab(:,:) = bm(:,:)-bmelt(:,:)

if (itab.eq.16) then
   where (mk.gt.0) 
       tab(:,:) = bm(:,:)-bmelt(:,:)
    elsewhere
       tab(:,:)=-9999
    end where
 end if

if (itab.eq.18) tab(:,:) = Tann(:,:)
if (itab.eq.19) tab(:,:) = Tjuly(:,:)

if (itab.eq.20) tab(:,:) = T(:,:,nz)-Tpmp(:,:,nz)
if (itab.eq.23) tab(:,:) = -3.17098e-05*ghf(:,:)
if (itab.eq.24) tab(:,:) = phid(:,:)
if (itab.eq.25) tab(:,:) = bmelt(:,:)

if (itab.eq.30) tab(:,:) = ((Uxbar(:,:)+eoshift(Uxbar(:,:),shift=1,boundary=0.,dim=1))*0.5)
if (itab.eq.31) tab(:,:) = ((Uybar(:,:)+eoshift(Uybar(:,:),shift=1,boundary=0.,dim=2))*0.5)
if (itab.eq.32) tab(:,:) = Uxbar(:,:)
if (itab.eq.33) tab(:,:) = Uybar(:,:)
if (itab.eq.34) tab(:,:) = Ux(:,:,nz)
if (itab.eq.35) tab(:,:) = Uy(:,:,nz)
if (itab.eq.36) then 
   tab(:,:) = (((Uxbar(:,:)+eoshift(Uxbar(:,:),shift=1,boundary=0.,dim=1))**2+ &
     (Uybar(:,:)+eoshift(Uybar(:,:),shift=1,boundary=0.,dim=2))**2)**0.5)*0.5
end if
if (itab.eq.37) then 
   tab(:,:) = (((Ux(:,:,nz)+eoshift(Ux(:,:,nz),shift=1,boundary=0.,dim=1))**2+ &
     (Uy(:,:,nz)+eoshift(Uy(:,:,nz),shift=1,boundary=0.,dim=2))**2)**0.5)*0.5
end if

if (itab.eq.40) tab(:,:) = frotmx(:,:)
if (itab.eq.41) tab(:,:) = frotmy(:,:)
if (itab.eq.42) tab(:,:) = tobmx(:,:)
if (itab.eq.43) tab(:,:) = tobmy(:,:)
if (itab.eq.44) tab(:,:) = taushelf(:,:)
if (itab.eq.45) tab(:,:) = epsxx(:,:)
if (itab.eq.46) tab(:,:) = epsyy(:,:)
if (itab.eq.47) tab(:,:) = epsxy(:,:)
if (itab.eq.48) tab(:,:) = eps(:,:)
if (itab.eq.50) tab(:,:) = pvi(:,:)
if (itab.eq.51) tab(:,:) = pvm(:,:)
if (itab.eq.52) tab(:,:) = betamx(:,:)
if (itab.eq.53) tab(:,:) = betamy(:,:)
if (itab.eq.60) tab(:,:) = hwater(:,:)
if (itab.eq.61) tab(:,:) = hdotwater(:,:)
if (itab.eq.62) tab(:,:) = Pgx(:,:)
if (itab.eq.63) tab(:,:) = Pgy(:,:)
if (itab.eq.64) tab(:,:) = kond(:,:)
if (itab.eq.65) tab(:,:) = phiWx(:,:)
if (itab.eq.66) tab(:,:) = phiWy(:,:)
if (itab.eq.68) tab(:,:) = Neffmx(:,:)
if (itab.eq.69) tab(:,:) = Neffmy(:,:)

!      grounded -> 0, , grzone ->1  ilemx->2   flot->3
if (itab.eq.70) then
    do j=1,ny
     do i=1,nx  
         if (gzmx(i,j)) then     
            if (ilemx(i,j)) then     ! ile
              tab(i,j)=2
            else                  
             tab(i,j)=1        ! grounded zone
            endif
         else if (flotmx(i,j)) then ! flottant
            if (HMX(i,j).gt.1.) then
              tab(i,j)=3
            else
              tab(i,j)=4
            endif 
         else                     ! pose
            tab(i,j)=0
         endif
        end do
      end do
   end if

if (itab.eq.71) then

    do j=1,ny
     do i=1,nx  
        if (gzmy(i,j)) then 
            if (ilemy(i,j)) then
              tab(i,j)=2
            else
             tab(i,j)=1
            endif
         else if (flotmy(i,j)) then
            if (HMY(i,j).gt.1.) then
              tab(i,j)=3 
            else
              tab(i,j)=4 
            endif
         else
            tab(i,j)=0
         endif
        end do
       end do
    end if

    if (itab.eq.72) tab(:,:) = frontfacex(:,:)
    if (itab.eq.73) tab(:,:) = frontfacey(:,:)



! sorties pour debug
!    if (itab.eq.101) tab(:,:) = debug_3D(:,:,1)

debug_loop : do i_debug=101,199
   if (itab.eq.i_debug) then 
      tab(:,:)=debug_3d(:,:,itab-100)
      exit debug_loop
   endif

end do debug_loop


 name =trim(namevar(l))//'_'//trim(nametmp)   ! nom du bouton tranche de temps

 CALL Write_Ncdf_var(TRIM(name),dimnames,TRIM(fil_sortie),tab,'double')

 DEALLOCATE(tab)


end do boucle_var

return

end subroutine sortie_ncdf_cat



end module sorties_ncdf_grisli
